-- phpMyAdmin SQL Dump
-- version 2.11.3deb1ubuntu1.3
-- http://www.phpmyadmin.net
--
-- Serveur: localhost
-- Généré le : Mar 15 Décembre 2009 à 16:04
-- Version du serveur: 5.0.51
-- Version de PHP: 5.2.4-2ubuntu5.9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Base de données: `competencesrb`
--

-- --------------------------------------------------------

--
-- Structure de la table `aides`
--

CREATE TABLE IF NOT EXISTS `aides` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table aides',
  `module` varchar(100) NOT NULL default '' COMMENT 'Module de l''application',
  `controleur` varchar(100) NOT NULL COMMENT 'Controleur',
  `vue` varchar(100) NOT NULL COMMENT 'Vue',
  `contenu` longtext NOT NULL COMMENT 'contenu de l''aide',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Ensemble des aides' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `aides`
--


-- --------------------------------------------------------

--
-- Structure de la table `appreciations`
--

CREATE TABLE IF NOT EXISTS `appreciations` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table appreciations',
  `bulletin_id` int(11) NOT NULL COMMENT 'cle etrangere du bulletin',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur professeur',
  `eleve_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur eleve',
  `transversale` char(1) NOT NULL COMMENT 'Transversale ou pas (O/N)',
  `contenu` text NOT NULL COMMENT 'Contenu de l''appreciation',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation de l''appreciation',
  `moyennecrite` int(11) NOT NULL COMMENT 'inutile',
  `moyenneorale` int(11) NOT NULL COMMENT 'inutile',
  PRIMARY KEY  (`id`),
  KEY `appreciations_FI_1` (`bulletin_id`),
  KEY `appreciations_FI_2` (`professeur_id`),
  KEY `appreciations_FI_3` (`eleve_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des appreciations pour chaque matiere' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `appreciations`
--


-- --------------------------------------------------------

--
-- Structure de la table `appreciation_bilans`
--

CREATE TABLE IF NOT EXISTS `appreciation_bilans` (
  `appreciation_id` int(11) NOT NULL COMMENT 'cle etrangere de l''appreciation',
  `bilan_id` int(11) NOT NULL COMMENT 'cle etrangere du bilan',
  PRIMARY KEY  (`appreciation_id`,`bilan_id`),
  KEY `appreciation_bilans_FI_2` (`bilan_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des bilans de chaque appreciation';

--
-- Contenu de la table `appreciation_bilans`
--


-- --------------------------------------------------------

--
-- Structure de la table `attestations`
--

CREATE TABLE IF NOT EXISTS `attestations` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table attestations',
  `eleve_id` int(11) NOT NULL COMMENT 'cle etrangere de l''eleve',
  `pallier` int(1) NOT NULL COMMENT 'Pallier 1,  2 ou 3',
  `assr1` char(1) NOT NULL default '' COMMENT 'ASSR 1 o/n',
  `assr2` char(1) NOT NULL default '' COMMENT 'ASSR 2 o/n',
  `psc1` char(1) NOT NULL default '' COMMENT 'PSC 1 o/n',
  `maitrise` char(1) NOT NULL default '' COMMENT 'maitrise o/n',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  PRIMARY KEY  (`id`),
  KEY `attestations_FI_1` (`eleve_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des attestations' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `attestations`
--


-- --------------------------------------------------------

--
-- Structure de la table `attestation_items`
--

CREATE TABLE IF NOT EXISTS `attestation_items` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table attestations',
  `attestation_id` int(11) NOT NULL COMMENT 'cle etrangere de l''attestation',
  `cptcegrp_id` int(11) NOT NULL COMMENT 'cle etrangere du domaine',
  `item` varchar(255) NOT NULL default 'n' COMMENT 'Nom de l''item',
  `maitrise` char(1) NOT NULL default '' COMMENT 'maitrise o/n',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  PRIMARY KEY  (`id`),
  KEY `attestation_items_FI_1` (`attestation_id`),
  KEY `attestation_items_FI_2` (`cptcegrp_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des items de chaque attestation' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `attestation_items`
--


-- --------------------------------------------------------

--
-- Structure de la table `bilans`
--

CREATE TABLE IF NOT EXISTS `bilans` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table bilans',
  `nom` varchar(255) NOT NULL COMMENT 'Nom du bilan',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `date` int(11) NOT NULL COMMENT 'Date du bilan (pour les bulletins)',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation du bilan (automatique)',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur professeur',
  `transversale` char(1) NOT NULL default 'N' COMMENT 'tag pour savoir s''il s''agit de competence transversale',
  `eleve_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur eleve',
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la competence',
  `resultat` char(2) NOT NULL COMMENT 'resultat du bilan de la competence',
  `appreciation` varchar(255) NOT NULL COMMENT 'appreciation du bilan de la competence',
  PRIMARY KEY  (`id`),
  KEY `bilans_FI_1` (`professeur_id`),
  KEY `bilans_FI_2` (`eleve_id`),
  KEY `bilans_FI_3` (`competence_id`),
  KEY `bilans_FI_4` (`resultat`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des bilans' AUTO_INCREMENT=4 ;

--
-- Contenu de la table `bilans`
--

INSERT INTO `bilans` (`id`, `nom`, `rne`, `date`, `created_on`, `professeur_id`, `transversale`, `eleve_id`, `competence_id`, `resultat`, `appreciation`) VALUES
(1, 'Connaître les grandes caractéristiques géographiques de l''Union européenne', 'UN_RNE', 1260838800, 1260889270, 2, 'N', 4, 141, 'n', ''),
(2, 'Connaître les grands traits de l''histoire de la construction européenne', 'UN_RNE', 1260838800, 1260889270, 2, 'N', 4, 144, 'r', ''),
(3, 'Connaître les périodes et les dates principales, les grandes figures, les événements fondateurs de l''histoire de France, en les reliant à l''histoire du continent européen et du monde', 'UN_RNE', 1260838800, 1260889270, 2, 'N', 4, 145, 'r', '');

-- --------------------------------------------------------

--
-- Structure de la table `bulletins`
--

CREATE TABLE IF NOT EXISTS `bulletins` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table bulletins',
  `nom` varchar(255) NOT NULL COMMENT 'Nom du bulletin',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `debut` int(11) NOT NULL COMMENT 'Date de debut de la periode des bilans du bulletin',
  `fin` int(11) NOT NULL COMMENT 'Date de debut de la periode des bilans du bulletin',
  `ferme` char(1) NOT NULL default 'N' COMMENT 'si `ferme` est Ã  O, les controle d''avant sont fermes aussi',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation du bulletin',
  `classe_id` int(11) NOT NULL COMMENT 'classe concernee par ce bulletin',
  PRIMARY KEY  (`id`),
  KEY `bulletins_FI_1` (`classe_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des bulletins' AUTO_INCREMENT=4 ;

--
-- Contenu de la table `bulletins`
--

INSERT INTO `bulletins` (`id`, `nom`, `rne`, `debut`, `fin`, `ferme`, `created_on`, `classe_id`) VALUES
(1, 'Bulletin 1', 'UN_RNE', 1251763200, 1260917940, 'N', 1259676886, 1),
(2, 'Bulletin 2', 'UN_RNE', 1260925200, 1269986340, 'N', 1259676896, 1),
(3, 'Bulletin 3', 'UN_RNE', 1270080000, 1277935140, 'N', 1259676906, 1);

-- --------------------------------------------------------

--
-- Structure de la table `bulletin_transversales`
--

CREATE TABLE IF NOT EXISTS `bulletin_transversales` (
  `bulletin_id` int(11) NOT NULL COMMENT 'cle etrangere de la table bulletins',
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la table competences',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  PRIMARY KEY  (`bulletin_id`,`competence_id`),
  KEY `bulletin_transversales_FI_2` (`competence_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des competences transversales de ce bulletin';

--
-- Contenu de la table `bulletin_transversales`
--

INSERT INTO `bulletin_transversales` (`bulletin_id`, `competence_id`, `rne`) VALUES
(1, 17, 'UN_RNE'),
(1, 19, 'UN_RNE'),
(1, 20, 'UN_RNE'),
(1, 219, 'UN_RNE');

-- --------------------------------------------------------

--
-- Structure de la table `classes`
--

CREATE TABLE IF NOT EXISTS `classes` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table classes',
  `nom` varchar(50) NOT NULL COMMENT 'nom de la classe',
  `nomlong` varchar(50) NOT NULL COMMENT 'nomlong de la classe',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  PRIMARY KEY  (`id`),
  KEY `classes_FI_1` (`rne`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='liste des classes' AUTO_INCREMENT=2 ;

--
-- Contenu de la table `classes`
--

INSERT INTO `classes` (`id`, `nom`, `nomlong`, `rne`) VALUES
(1, 'TEST classe', 'TESTONS cette classe', 'UN_RNE');

-- --------------------------------------------------------

--
-- Structure de la table `competences`
--

CREATE TABLE IF NOT EXISTS `competences` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table competences',
  `nomcourt` varchar(255) NOT NULL COMMENT 'Nom court de la competence',
  `nomlong` varchar(255) NOT NULL COMMENT 'Nom long de la competence',
  `rne` varchar(10) NOT NULL default 'all' COMMENT 'Etablissement de la cptce, all si pour tous etab',
  `cptcegrp_id` int(11) NOT NULL COMMENT 'Domaine de la competence',
  `competence_id` int(11) NOT NULL default '0' COMMENT 'Permet de lier des competences entre elles',
  `type` char(20) NOT NULL default 'perso' COMMENT 'Type de competence :tronc peda perso',
  `niveau` int(1) NOT NULL default '3' COMMENT 'Niveau de hiÃ©rarchie des competences : 1 = socle, 2 = derivee du socle, 3 = les autres',
  `utilisateur_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere de l''utilisateur dans le cas d''une competence perso',
  PRIMARY KEY  (`id`),
  KEY `competences_FI_1` (`cptcegrp_id`),
  KEY `competences_FI_2` (`competence_id`),
  KEY `competences_FI_3` (`utilisateur_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des competences evaluees' AUTO_INCREMENT=238 ;

--
-- Contenu de la table `competences`
--

INSERT INTO `competences` (`id`, `nomcourt`, `nomlong`, `rne`, `cptcegrp_id`, `competence_id`, `type`, `niveau`, `utilisateur_id`) VALUES
(1, 'Connaître un vocabulaire juste et précis pour désigner des objets réels, des sensations, des émotions, des opérations de l''esprit, des abstractions', 'Connaître un vocabulaire juste et précis pour désigner des objets réels, des sensations, des émotions, des opérations de l''esprit, des abstractions', 'all', 1, 1, 'socle', 1, 0),
(2, 'Connaître le sens propre et le sens figuré d''une expression', 'Connaître le sens propre et le sens figuré d''une expression', 'all', 1, 2, 'socle', 1, 0),
(3, 'Connaître le niveau de langue auquel un mot donné appartient', 'Connaître le niveau de langue auquel un mot donné appartient', 'all', 1, 3, 'socle', 1, 0),
(4, 'Connaître des mots de signification voisine ou contraire', 'Connaître des mots de signification voisine ou contraire', 'all', 1, 4, 'socle', 1, 0),
(5, 'Connaître la formation des mots, afin de les comprendre et de les orthographier', 'Connaître la formation des mots, afin de les comprendre et de les orthographier', 'all', 1, 5, 'socle', 1, 0),
(6, 'Connaître la ponctuation', 'Connaître la ponctuation', 'all', 1, 6, 'socle', 1, 0),
(7, 'Connaître les structures syntaxiques fondamentales', 'Connaître les structures syntaxiques fondamentales', 'all', 1, 7, 'socle', 1, 0),
(8, 'Connaître la nature des mots et leur fonction', 'Connaître la nature des mots et leur fonction', 'all', 1, 8, 'socle', 1, 0),
(9, 'Connaître les connecteurs logiques usuels (conjonctions de coordination, conjonctions de subordination, adverbes)', 'Connaître les connecteurs logiques usuels (conjonctions de coordination, conjonctions de subordination, adverbes)', 'all', 1, 9, 'socle', 1, 0),
(10, 'Connaître la conjugaison des verbes', 'Connaître la conjugaison des verbes', 'all', 1, 10, 'socle', 1, 0),
(11, 'Connaître le système des temps et des modes', 'Connaître le système des temps et des modes', 'all', 1, 11, 'socle', 1, 0),
(12, 'Connaître les principales règles d''orthographe lexicale et grammaticale (mots invariables, règles d''accord, orthographe des formes verbales et des pluriels)', 'Connaître les principales règles d''orthographe lexicale et grammaticale (mots invariables, règles d''accord, orthographe des formes verbales et des pluriels)', 'all', 1, 12, 'socle', 1, 0),
(13, 'Lire à haute voix, de façon expressive, un texte en prose ou en vers', 'Lire à haute voix, de façon expressive, un texte en prose ou en vers', 'all', 1, 13, 'socle', 1, 0),
(14, 'Analyser les éléments grammaticaux d''une phrase afin d''en éclairer le sens', 'Analyser les éléments grammaticaux d''une phrase afin d''en éclairer le sens', 'all', 1, 14, 'socle', 1, 0),
(15, 'Dégager l''idée essentielle d''un texte lu ou entendu', 'Dégager l''idée essentielle d''un texte lu ou entendu', 'all', 1, 15, 'socle', 1, 0),
(16, 'Manifester sa compréhension de textes variés, qu''ils soient documentaires ou littéraires', 'Manifester sa compréhension de textes variés, qu''ils soient documentaires ou littéraires', 'all', 1, 16, 'socle', 1, 0),
(17, 'Comprendre un &eacute;nonc&eacute;, une consigne', 'Comprendre un &eacute;nonc&eacute;, une consigne', 'all', 1, 17, 'socle', 1, 0),
(18, 'Lire des oeuvres littéraires intégrales, notamment classiques, et rendre compte de sa lecture', 'Lire des oeuvres littéraires intégrales, notamment classiques, et rendre compte de sa lecture', 'all', 1, 18, 'socle', 1, 0),
(19, 'Copier un texte sans faute, écrire lisiblement et correctement un texte spontanément ou sous la dictée', 'Copier un texte sans faute, écrire lisiblement et correctement un texte spontanément ou sous la dictée', 'all', 1, 19, 'socle', 1, 0),
(20, 'R&eacute;pondre &agrave; une question par une phrase compl&egrave;te', 'R&eacute;pondre &agrave; une question par une phrase compl&egrave;te', 'all', 1, 20, 'socle', 1, 0),
(21, 'Rédiger un texte bref, cohérent, construit en paragraphes, correctement ponctué, en respectant des consignes imposées : récit, description, explication, texte argumentatif, compte rendu, écrits courants (lettres...)', 'Rédiger un texte bref, cohérent, construit en paragraphes, correctement ponctué, en respectant des consignes imposées : récit, description, explication, texte argumentatif, compte rendu, écrits courants (lettres...)', 'all', 1, 21, 'socle', 1, 0),
(22, 'Adapter le propos au destinataire et à l''effet recherché', 'Adapter le propos au destinataire et à l''effet recherché', 'all', 1, 22, 'socle', 1, 0),
(23, 'Résumer un texte', 'Résumer un texte', 'all', 1, 23, 'socle', 1, 0),
(24, 'Utiliser les principales règles d''orthographe lexicale et grammaticale', 'Utiliser les principales règles d''orthographe lexicale et grammaticale', 'all', 1, 24, 'socle', 1, 0),
(25, 'Prendre la parole en public', 'Prendre la parole en public', 'all', 1, 25, 'socle', 1, 0),
(26, 'Prendre part à un dialogue, un débat : prendre en compte les propos d''autrui, faire valoir son propre point de vue', 'Prendre part à un dialogue, un débat : prendre en compte les propos d''autrui, faire valoir son propre point de vue', 'all', 1, 26, 'socle', 1, 0),
(27, 'Rendre compte d''un travail individuel ou collectif (exposés, expériences, démonstrations...)', 'Rendre compte d''un travail individuel ou collectif (exposés, expériences, démonstrations...)', 'all', 1, 27, 'socle', 1, 0),
(28, 'Reformuler un texte ou des propos lus ou prononcés par un tiers', 'Reformuler un texte ou des propos lus ou prononcés par un tiers', 'all', 1, 28, 'socle', 1, 0),
(29, 'Adapter sa prise de parole (attitude et niveau de langue) à la situation de communication (lieu, destinataire, effet recherché)', 'Adapter sa prise de parole (attitude et niveau de langue) à la situation de communication (lieu, destinataire, effet recherché)', 'all', 1, 29, 'socle', 1, 0),
(30, 'Dire de mémoire des textes patrimoniaux (textes littéraires, citations célèbres)', 'Dire de mémoire des textes patrimoniaux (textes littéraires, citations célèbres)', 'all', 1, 30, 'socle', 1, 0),
(31, 'Utiliser des dictionnaires, imprimés ou numériques, pour vérifier l''orthographe ou le sens d''un mot, découvrir un synonyme ou un mot nécessaire à l''expression de sa pensée', 'Utiliser des dictionnaires, imprimés ou numériques, pour vérifier l''orthographe ou le sens d''un mot, découvrir un synonyme ou un mot nécessaire à l''expression de sa pensée', 'all', 1, 31, 'socle', 1, 0),
(32, 'Utiliser des ouvrages de grammaire ou des logiciels de correction orthographique', 'Utiliser des ouvrages de grammaire ou des logiciels de correction orthographique', 'all', 1, 32, 'socle', 1, 0),
(33, 'Développer la volonté de justesse dans l''expression écrite et orale, du goût pour l''enrichissement du vocabulaire', 'Développer la volonté de justesse dans l''expression écrite et orale, du goût pour l''enrichissement du vocabulaire', 'all', 1, 33, 'socle', 1, 0),
(34, 'Développer le goût pour les sonorités, les jeux de sens, la puissance émotive de la langue', 'Développer le goût pour les sonorités, les jeux de sens, la puissance émotive de la langue', 'all', 1, 34, 'socle', 1, 0),
(35, 'Développer l''intérêt pour la lecture (des livres, de la presse écrite)', 'Développer l''intérêt pour la lecture (des livres, de la presse écrite)', 'all', 1, 35, 'socle', 1, 0),
(36, 'Développer l''ouverture à la communication, au dialogue, au débat', 'Développer l''ouverture à la communication, au dialogue, au débat', 'all', 1, 36, 'socle', 1, 0),
(37, 'Posséder un vocabulaire suffisant pour comprendre des sujets simples', 'Posséder un vocabulaire suffisant pour comprendre des sujets simples', 'all', 2, 37, 'socle', 1, 0),
(38, 'Connaître les règles grammaticales fondamentales (catégorie du nom, système verbal, coordination et subordination dans leur forme élémentaire) et le fonctionnement de la langue étudiée en tenant compte de ses particularités', 'Connaître les règles grammaticales fondamentales (catégorie du nom, système verbal, coordination et subordination dans leur forme élémentaire) et le fonctionnement de la langue étudiée en tenant compte de ses particularités', 'all', 2, 38, 'socle', 1, 0),
(39, 'Connaître les règles de prononciation', 'Connaître les règles de prononciation', 'all', 2, 39, 'socle', 1, 0),
(40, 'Maîtriser l''orthographe des mots ou expressions appris en comprenant le rapport phoniegraphie', 'Maîtriser l''orthographe des mots ou expressions appris en comprenant le rapport phoniegraphie', 'all', 2, 40, 'socle', 1, 0),
(41, 'Utiliser la langue en maîtrisant les codes de relations sociales associés à cette langue', 'Utiliser la langue en maîtrisant les codes de relations sociales associés à cette langue', 'all', 2, 41, 'socle', 1, 0),
(42, 'Utiliser des expressions courantes en suivant les usages de base (saluer, formuler des invitations, des excuses...)', 'Utiliser des expressions courantes en suivant les usages de base (saluer, formuler des invitations, des excuses...)', 'all', 2, 42, 'socle', 1, 0),
(43, 'Tenir compte de l''existence des différences de registre de langue, adapter son discours à la situation de communication', 'Tenir compte de l''existence des différences de registre de langue, adapter son discours à la situation de communication', 'all', 2, 43, 'socle', 1, 0),
(44, 'Comprendre un bref propos oral : identifier le contenu d''un message, le sujet d''une discussion si l''échange est mené lentement et clairement, suivre un récit', 'Comprendre un bref propos oral : identifier le contenu d''un message, le sujet d''une discussion si l''échange est mené lentement et clairement, suivre un récit', 'all', 2, 44, 'socle', 1, 0),
(45, 'Prononcer correctement', 'Prononcer correctement', 'all', 2, 45, 'socle', 1, 0),
(46, 'Relier des groupes de mots avec des connecteurs logiques', 'Relier des groupes de mots avec des connecteurs logiques', 'all', 2, 46, 'socle', 1, 0),
(47, 'Donner des informations et de s''informer', 'Donner des informations et de s''informer', 'all', 2, 47, 'socle', 1, 0),
(48, 'Exprimer simplement une idée, une opinion', 'Exprimer simplement une idée, une opinion', 'all', 2, 48, 'socle', 1, 0),
(49, 'Raconter une histoire ou de décrire sommairement', 'Raconter une histoire ou de décrire sommairement', 'all', 2, 49, 'socle', 1, 0),
(50, 'Comprendre un texte écrit court et simple', 'Comprendre un texte écrit court et simple', 'all', 2, 50, 'socle', 1, 0),
(51, 'Développer le désir de communiquer avec les étrangers dans leur langue, de lire un journal et d''écouter les médias audiovisuels étrangers, de voir des films en version originale', 'Développer le désir de communiquer avec les étrangers dans leur langue, de lire un journal et d''écouter les médias audiovisuels étrangers, de voir des films en version originale', 'all', 2, 51, 'socle', 1, 0),
(52, 'Développer l''ouverture d''esprit et la compréhension d''autres façons de penser et d''agir', 'Développer l''ouverture d''esprit et la compréhension d''autres façons de penser et d''agir', 'all', 2, 52, 'socle', 1, 0),
(53, 'Connaître les nombres décimaux, les nombres relatifs, les fractions, les puissances (ordonner, comparer)', 'Connaître les nombres décimaux, les nombres relatifs, les fractions, les puissances (ordonner, comparer)', 'all', 3, 53, 'socle', 1, 0),
(54, 'Connaître les quatre opérations et leur sens', 'Connaître les quatre opérations et leur sens', 'all', 3, 54, 'socle', 1, 0),
(55, 'Connaître les techniques élémentaires du calcul mental', 'Connaître les techniques élémentaires du calcul mental', 'all', 3, 55, 'socle', 1, 0),
(56, 'Connaître les éléments du calcul littéral simple (expressions du premier degré à une variable)', 'Connaître les éléments du calcul littéral simple (expressions du premier degré à une variable)', 'all', 3, 56, 'socle', 1, 0),
(57, 'Connaître le calcul de la valeur d''une expression littérale pour différentes valeurs des variables', 'Connaître le calcul de la valeur d''une expression littérale pour différentes valeurs des variables', 'all', 3, 57, 'socle', 1, 0),
(58, 'Connaître les identités remarquables', 'Connaître les identités remarquables', 'all', 3, 58, 'socle', 1, 0),
(59, 'Connaître la proportionnalité : propriété de linéarité, représentation graphique, tableau de proportionnalité, « produit en croix » ou « règle de 3 », pourcentage, échelle', 'Connaître la proportionnalité : propriété de linéarité, représentation graphique, tableau de proportionnalité, « produit en croix » ou « règle de 3 », pourcentage, échelle', 'all', 3, 59, 'socle', 1, 0),
(60, 'Connaître les représentations usuelles : tableaux, diagrammes, graphiques', 'Connaître les représentations usuelles : tableaux, diagrammes, graphiques', 'all', 3, 60, 'socle', 1, 0),
(61, 'Connaître le repérage sur un axe et dans le plan', 'Connaître le repérage sur un axe et dans le plan', 'all', 3, 61, 'socle', 1, 0),
(62, 'Connaître les notions fondamentales de statistique descriptive (maximum, minimum, fréquence, moyenne)', 'Connaître les notions fondamentales de statistique descriptive (maximum, minimum, fréquence, moyenne)', 'all', 3, 62, 'socle', 1, 0),
(63, 'Connaître les notions de chance ou de probabilité', 'Connaître les notions de chance ou de probabilité', 'all', 3, 63, 'socle', 1, 0),
(64, 'Connaître les propriétés géométriques élémentaires des figures planes et des solides suivants : carré, rectangle, losange, parallélogramme, triangle, cercle, cube, parallélépipède rectangle, cylindre, sphère', 'Connaître les propriétés géométriques élémentaires des figures planes et des solides suivants : carré, rectangle, losange, parallélogramme, triangle, cercle, cube, parallélépipède rectangle, cylindre, sphère', 'all', 3, 64, 'socle', 1, 0),
(65, 'Connaître les notions de parallèle, perpendiculaire, médiatrice, bissectrice, tangente (à un cercle)', 'Connaître les notions de parallèle, perpendiculaire, médiatrice, bissectrice, tangente (à un cercle)', 'all', 3, 65, 'socle', 1, 0),
(66, 'Connaître les transformations : symétries, agrandissement et réduction', 'Connaître les transformations : symétries, agrandissement et réduction', 'all', 3, 66, 'socle', 1, 0),
(67, 'Connaître des théorèmes de géométrie plane : somme des angles d''un triangle, inégalité triangulaire, Thalès (dans le triangle), Pythagore', 'Connaître des théorèmes de géométrie plane : somme des angles d''un triangle, inégalité triangulaire, Thalès (dans le triangle), Pythagore', 'all', 3, 67, 'socle', 1, 0),
(68, 'Connaître les principales grandeurs (unités de mesure, formules, calculs et conversions) : longueur, aire, contenance, volume, masse, angle, durée, vitesse, masse volumique, nombre de tours par seconde', 'Connaître les principales grandeurs (unités de mesure, formules, calculs et conversions) : longueur, aire, contenance, volume, masse, angle, durée, vitesse, masse volumique, nombre de tours par seconde', 'all', 3, 68, 'socle', 1, 0),
(69, 'Connaître les mesures à l''aide d''instruments, en prenant en compte l''incertitude liée au mesurage', 'Connaître les mesures à l''aide d''instruments, en prenant en compte l''incertitude liée au mesurage', 'all', 3, 69, 'socle', 1, 0),
(70, 'Raisonner logiquement, de pratiquer la déduction, de démontrer', 'Raisonner logiquement, de pratiquer la déduction, de démontrer', 'all', 3, 70, 'socle', 1, 0),
(71, 'Communiquer, à l''écrit comme à l''oral, en utilisant un langage mathématique adapté', 'Communiquer, à l''écrit comme à l''oral, en utilisant un langage mathématique adapté', 'all', 3, 71, 'socle', 1, 0),
(72, 'Effectuer à la main, un calcul isolé sur des nombres en écriture décimale de taille raisonnable (addition, soustraction, multiplication, division)', 'Effectuer à la main, un calcul isolé sur des nombres en écriture décimale de taille raisonnable (addition, soustraction, multiplication, division)', 'all', 3, 72, 'socle', 1, 0),
(73, 'Effectuer à la calculatrice, un calcul isolé sur des nombres relatifs en écriture décimale : addition, soustraction, multiplication, division décimale à 10-n près, calcul du carré, du cube d''un nombre relatif, racine carrée d''un nombre positif', 'Effectuer à la calculatrice, un calcul isolé sur des nombres relatifs en écriture décimale : addition, soustraction, multiplication, division décimale à 10-n près, calcul du carré, du cube d''un nombre relatif, racine carrée d''un nombre positif', 'all', 3, 73, 'socle', 1, 0),
(74, 'Effectuer mentalement des calculs simples et déterminer rapidement un ordre de grandeur', 'Effectuer mentalement des calculs simples et déterminer rapidement un ordre de grandeur', 'all', 3, 74, 'socle', 1, 0),
(75, 'Comparer, additionner, soustraire, multiplier et diviser les nombres en écriture fractionnaire dans des situations simples', 'Comparer, additionner, soustraire, multiplier et diviser les nombres en écriture fractionnaire dans des situations simples', 'all', 3, 75, 'socle', 1, 0),
(76, 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : parallèle, perpendiculaire, médiatrice, bissectrice', 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : parallèle, perpendiculaire, médiatrice, bissectrice', 'all', 3, 76, 'socle', 1, 0),
(77, 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : cercle donné par son centre et son rayon', 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : cercle donné par son centre et son rayon', 'all', 3, 77, 'socle', 1, 0),
(78, 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : image d''une figure par symétrie axiale,par symétrie centrale', 'Effectuer des tracés à l''aide des instruments usuels (règle, équerre, compas, rapporteur) : image d''une figure par symétrie axiale,par symétrie centrale', 'all', 3, 78, 'socle', 1, 0),
(79, 'Utiliser et construire des tableaux, des diagrammes, des graphiques et de savoir passer d''un mode d''expression à un autre', 'Utiliser et construire des tableaux, des diagrammes, des graphiques et de savoir passer d''un mode d''expression à un autre', 'all', 3, 79, 'socle', 1, 0),
(80, 'Utiliser des outils (tables, formules, outils de dessin, calculatrices, logiciels)', 'Utiliser des outils (tables, formules, outils de dessin, calculatrices, logiciels)', 'all', 3, 80, 'socle', 1, 0),
(81, 'Savoir quand et comment utiliser les opérations élémentaires', 'Savoir quand et comment utiliser les opérations élémentaires', 'all', 3, 81, 'socle', 1, 0),
(82, 'Contrôler la vraisemblance d''un résultat', 'Contrôler la vraisemblance d''un résultat', 'all', 3, 82, 'socle', 1, 0),
(83, 'Reconnaître les situations relevant de la proportionnalité et les traiter en choisissant un moyen adapté', 'Reconnaître les situations relevant de la proportionnalité et les traiter en choisissant un moyen adapté', 'all', 3, 83, 'socle', 1, 0),
(84, 'Utiliser les représentations graphiques', 'Utiliser les représentations graphiques', 'all', 3, 84, 'socle', 1, 0),
(85, 'Utiliser les théorèmes de géométrie plane', 'Utiliser les théorèmes de géométrie plane', 'all', 3, 85, 'socle', 1, 0),
(86, 'Se repérer dans l''espace : utiliser une carte, un plan, un schéma, un système de coordonnées', 'Se repérer dans l''espace : utiliser une carte, un plan, un schéma, un système de coordonnées', 'all', 3, 86, 'socle', 1, 0),
(87, 'Développer la rigueur et la précision', 'Développer la rigueur et la précision', 'all', 3, 87, 'socle', 1, 0),
(88, 'Développer le respect de la vérité rationnellement établie', 'Développer le respect de la vérité rationnellement établie', 'all', 3, 88, 'socle', 1, 0),
(89, 'Développer le goût du raisonnement fondé sur des arguments dont la validité est à prouver', 'Développer le goût du raisonnement fondé sur des arguments dont la validité est à prouver', 'all', 3, 89, 'socle', 1, 0),
(90, 'Savoir que l''Univers est structuré au niveau microscopique (atomes, molécules, cellules du vivant)', 'Savoir que l''Univers est structuré au niveau microscopique (atomes, molécules, cellules du vivant)', 'all', 3, 90, 'socle', 1, 0),
(91, 'Savoir que l''Univers est structuré au niveau macroscopique (planètes, étoiles, galaxies)', 'Savoir que l''Univers est structuré au niveau macroscopique (planètes, étoiles, galaxies)', 'all', 3, 91, 'socle', 1, 0),
(92, 'Savoir que la planète Terre est un des objets du système solaire, lequel est gouverné par la gravitation', 'Savoir que la planète Terre est un des objets du système solaire, lequel est gouverné par la gravitation', 'all', 3, 92, 'socle', 1, 0),
(93, 'Savoir que la planète Terre présente une structure et des phénomènes dynamiques internes et externes', 'Savoir que la planète Terre présente une structure et des phénomènes dynamiques internes et externes', 'all', 3, 93, 'socle', 1, 0),
(94, 'Savoir que la matière se présente sous une multitude de formes sujettes à transformations et réactions', 'Savoir que la matière se présente sous une multitude de formes sujettes à transformations et réactions', 'all', 3, 94, 'socle', 1, 0),
(95, 'Savoir que la matière se présente sous une multitude de formes organisées du plus simple au plus complexe, de l''inerte au vivant', 'Savoir que la matière se présente sous une multitude de formes organisées du plus simple au plus complexe, de l''inerte au vivant', 'all', 3, 95, 'socle', 1, 0),
(96, 'Connaître les caractéristiques du vivant : unité d''organisation (cellule) et biodiversité', 'Connaître les caractéristiques du vivant : unité d''organisation (cellule) et biodiversité', 'all', 3, 96, 'socle', 1, 0),
(97, 'Connaître les caractéristiques du vivant : modalités de la reproduction, du développement et du fonctionnement des organismes vivants', 'Connaître les caractéristiques du vivant : modalités de la reproduction, du développement et du fonctionnement des organismes vivants', 'all', 3, 97, 'socle', 1, 0),
(98, 'Connaître les caractéristiques du vivant : unité du vivant (ADN) et évolution des espèces', 'Connaître les caractéristiques du vivant : unité du vivant (ADN) et évolution des espèces', 'all', 3, 98, 'socle', 1, 0),
(99, 'Savoir que l''Univers, la matière, les organismes vivants baignent dans une multitude d''interactions et de signaux, notamment lumineux, qui se propagent et agissent à distance', 'Savoir que l''Univers, la matière, les organismes vivants baignent dans une multitude d''interactions et de signaux, notamment lumineux, qui se propagent et agissent à distance', 'all', 3, 99, 'socle', 1, 0),
(100, 'Savoir que l''énergie, perceptible dans le mouvement, peut revêtir des formes différentes et se transformer de l''une à l''autre', 'Savoir que l''énergie, perceptible dans le mouvement, peut revêtir des formes différentes et se transformer de l''une à l''autre', 'all', 3, 100, 'socle', 1, 0),
(101, 'Connaître l''énergie électrique et son importance', 'Connaître l''énergie électrique et son importance', 'all', 3, 101, 'socle', 1, 0),
(102, 'Connaître les ressources en énergie fossile et les énergies renouvelables', 'Connaître les ressources en énergie fossile et les énergies renouvelables', 'all', 3, 102, 'socle', 1, 0),
(103, 'Connaître les conditions d''utilisation des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'Connaître les conditions d''utilisation des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'all', 3, 103, 'socle', 1, 0),
(104, 'Connaître l''impact sur l''environnement des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'Connaître l''impact sur l''environnement des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'all', 3, 104, 'socle', 1, 0),
(105, 'Connaître le fonctionnement et les conditions de sécurité des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'Connaître le fonctionnement et les conditions de sécurité des techniques liées à la maîtrise de la matière et de l''énergie par l''Homme', 'all', 3, 105, 'socle', 1, 0),
(106, 'Maîtriser des connaissances sur l''Homme : unicité et diversité des individus qui composent l''espèce humaine (génétique, reproduction)', 'Maîtriser des connaissances sur l''Homme : unicité et diversité des individus qui composent l''espèce humaine (génétique, reproduction)', 'all', 3, 106, 'socle', 1, 0),
(107, 'Maîtriser des connaissances sur l''Homme : l''organisation et le fonctionnement du corps humain', 'Maîtriser des connaissances sur l''Homme : l''organisation et le fonctionnement du corps humain', 'all', 3, 107, 'socle', 1, 0),
(108, 'Maîtriser des connaissances sur l''Homme : le corps humain et ses possibilités', 'Maîtriser des connaissances sur l''Homme : le corps humain et ses possibilités', 'all', 3, 108, 'socle', 1, 0),
(109, 'Maîtriser des connaissances sur l''Homme : influence de l''Homme sur l''écosystème (gestion des ressources...)', 'Maîtriser des connaissances sur l''Homme : influence de l''Homme sur l''écosystème (gestion des ressources...)', 'all', 3, 109, 'socle', 1, 0),
(110, 'Être familiarisé avec les techniques courantes, le traitement électronique et numérique de l''information et les processus automatisés, à la base du fonctionnement d''objets de la vie courante', 'Être familiarisé avec les techniques courantes, le traitement électronique et numérique de l''information et les processus automatisés, à la base du fonctionnement d''objets de la vie courante', 'all', 3, 110, 'socle', 1, 0),
(111, 'Savoir observer, questionner, formuler une hypothèse et la valider, argumenter, modéliser de façon élémentaire', 'Savoir observer, questionner, formuler une hypothèse et la valider, argumenter, modéliser de façon élémentaire', 'all', 3, 111, 'socle', 1, 0),
(112, 'Comprendre le lien entre les phénomènes de la nature et le langage mathématique qui s''y applique et aide à les décrire', 'Comprendre le lien entre les phénomènes de la nature et le langage mathématique qui s''y applique et aide à les décrire', 'all', 3, 112, 'socle', 1, 0),
(113, 'Participer à la conception d''un protocole et le mettre en oeuvre en utilisant les outils appropriés, y compris informatiques', 'Participer à la conception d''un protocole et le mettre en oeuvre en utilisant les outils appropriés, y compris informatiques', 'all', 3, 113, 'socle', 1, 0),
(114, 'Développer des habiletés manuelles, être familiarisé avec certains gestes techniques', 'Développer des habiletés manuelles, être familiarisé avec certains gestes techniques', 'all', 3, 114, 'socle', 1, 0),
(115, 'Percevoir la différence entre réalité et simulation', 'Percevoir la différence entre réalité et simulation', 'all', 3, 115, 'socle', 1, 0),
(116, 'Comprendre qu''un effet peut avoir plusieurs causes agissant simultanément, de percevoir qu''il peut exister des causes non apparentes ou inconnues', 'Comprendre qu''un effet peut avoir plusieurs causes agissant simultanément, de percevoir qu''il peut exister des causes non apparentes ou inconnues', 'all', 3, 116, 'socle', 1, 0),
(117, 'Utiliser les langages scientifiques à l''écrit et à l''oral', 'Utiliser les langages scientifiques à l''écrit et à l''oral', 'all', 3, 117, 'socle', 1, 0),
(118, 'Maîtriser les principales unités de mesure et savoir les associer aux grandeurs correspondantes', 'Maîtriser les principales unités de mesure et savoir les associer aux grandeurs correspondantes', 'all', 3, 118, 'socle', 1, 0),
(119, 'Comprendre qu''à une mesure est associée une incertitude', 'Comprendre qu''à une mesure est associée une incertitude', 'all', 3, 119, 'socle', 1, 0),
(120, 'Comprendre la nature et la validité d''un résultat statistique', 'Comprendre la nature et la validité d''un résultat statistique', 'all', 3, 120, 'socle', 1, 0),
(121, 'Percevoir le lien entre sciences et techniques', 'Percevoir le lien entre sciences et techniques', 'all', 3, 121, 'socle', 1, 0),
(122, 'Mobiliser ses connaissances en situation, par exemple comprendre le fonctionnement de son propre corps et l''incidence de l''alimentation, agir sur lui par la pratique d''activités physiques et sportives, ou encore veiller au risque d''accidents naturels, pro', 'Mobiliser ses connaissances en situation, par exemple comprendre le fonctionnement de son propre corps et l''incidence de l''alimentation, agir sur lui par la pratique d''activités physiques et sportives, ou encore veiller au risque d''accidents naturels, pro', 'all', 3, 122, 'socle', 1, 0),
(123, 'Utiliser les techniques et les technologies pour surmonter des obstacles', 'Utiliser les techniques et les technologies pour surmonter des obstacles', 'all', 3, 123, 'socle', 1, 0),
(124, 'Développer le le sens de l''observation', 'Développer le le sens de l''observation', 'all', 3, 124, 'socle', 1, 0),
(125, 'Développer la curiosité pour la découverte des causes des phénomènes naturels, l''imagination raisonnée, l''ouverture d''esprit', 'Développer la curiosité pour la découverte des causes des phénomènes naturels, l''imagination raisonnée, l''ouverture d''esprit', 'all', 3, 125, 'socle', 1, 0),
(126, 'Développer l''esprit critique : distinction entre le prouvé, le probable ou l''incertain, la prédiction et la prévision, situation d''un résultat ou d''une information dans son contexte', 'Développer l''esprit critique : distinction entre le prouvé, le probable ou l''incertain, la prédiction et la prévision, situation d''un résultat ou d''une information dans son contexte', 'all', 3, 126, 'socle', 1, 0),
(127, 'Développer l''intérêt pour les progrès scientifiques et techniques', 'Développer l''intérêt pour les progrès scientifiques et techniques', 'all', 3, 127, 'socle', 1, 0),
(128, 'Développer la conscience des implications éthiques de ces changements', 'Développer la conscience des implications éthiques de ces changements', 'all', 3, 128, 'socle', 1, 0),
(129, 'Développer l''observation des règles élémentaires de sécurité dans les domaines de la biologie, de la chimie et dans l''usage de l''électricité', 'Développer l''observation des règles élémentaires de sécurité dans les domaines de la biologie, de la chimie et dans l''usage de l''électricité', 'all', 3, 129, 'socle', 1, 0),
(130, 'Développer la responsabilité face à l''environnement, au monde vivant, à la santé', 'Développer la responsabilité face à l''environnement, au monde vivant, à la santé', 'all', 3, 130, 'socle', 1, 0),
(131, 'Savoir que les équipements informatiques (matériels, logiciels et services) traitent une information codée pour produire des résultats et peuvent communiquer entre eux', 'Savoir que les équipements informatiques (matériels, logiciels et services) traitent une information codée pour produire des résultats et peuvent communiquer entre eux', 'all', 4, 131, 'socle', 1, 0),
(132, 'Savoir que l''usage de ces outils est régi par des règles qui permettent de protéger la propriété intellectuelle, les droits et libertés des citoyens et de se protéger soi-même', 'Savoir que l''usage de ces outils est régi par des règles qui permettent de protéger la propriété intellectuelle, les droits et libertés des citoyens et de se protéger soi-même', 'all', 4, 132, 'socle', 1, 0),
(133, 'S''approprier un environnement informatique de travail', 'S''approprier un environnement informatique de travail', 'all', 4, 133, 'socle', 1, 0),
(134, 'Créer, produire, traiter, exploiter des données ', 'Créer, produire, traiter, exploiter des données ', 'all', 4, 134, 'socle', 1, 0),
(135, 'S''informer, se documenter', 'S''informer, se documenter', 'all', 4, 135, 'socle', 1, 0),
(136, 'Communiquer, échanger', 'Communiquer, échanger', 'all', 4, 136, 'socle', 1, 0),
(137, 'Adopter une attitude critique et réfléchie vis-à-vis de l''information disponible', 'Adopter une attitude critique et réfléchie vis-à-vis de l''information disponible', 'all', 4, 137, 'socle', 1, 0),
(138, 'Adopter une attitude de responsabilité dans l''utilisation des outils interactifs', 'Adopter une attitude de responsabilité dans l''utilisation des outils interactifs', 'all', 4, 138, 'socle', 1, 0),
(139, 'Connaître les grands ensembles physiques (océans, continents, reliefs, fleuves, grands domaines climatiques et biogéographiques) et humains (répartition mondiale de la population, principales puissances du monde contemporain et leurs métropoles, les États', 'Connaître les grands ensembles physiques (océans, continents, reliefs, fleuves, grands domaines climatiques et biogéographiques) et humains (répartition mondiale de la population, principales puissances du monde contemporain et leurs métropoles, les États', 'all', 5, 139, 'socle', 1, 0),
(140, 'Connaître les grands types d''aménagements', 'Connaître les grands types d''aménagements', 'all', 5, 140, 'socle', 1, 0),
(141, 'Connaître les grandes caractéristiques géographiques de l''Union européenne', 'Connaître les grandes caractéristiques géographiques de l''Union européenne', 'all', 5, 141, 'socle', 1, 0),
(142, 'Connaître le territoire français : organisation et localisations, ensembles régionaux, outre-mer', 'Connaître le territoire français : organisation et localisations, ensembles régionaux, outre-mer', 'all', 5, 142, 'socle', 1, 0),
(143, 'Connaître les différentes périodes de l''histoire de l''humanité (les événements fondateurs caractéristiques permettant de les situer les unes par rapport aux autres en mettant en relation faits politiques, économiques, sociaux, culturels, religieux, scient', 'Connaître les différentes périodes de l''histoire de l''humanité (les événements fondateurs caractéristiques permettant de les situer les unes par rapport aux autres en mettant en relation faits politiques, économiques, sociaux, culturels, religieux, scient', 'all', 5, 143, 'socle', 1, 0),
(144, 'Connaître les grands traits de l''histoire de la construction européenne', 'Connaître les grands traits de l''histoire de la construction européenne', 'all', 5, 144, 'socle', 1, 0),
(145, 'Connaître les périodes et les dates principales, les grandes figures, les événements fondateurs de l''histoire de France, en les reliant à l''histoire du continent européen et du monde', 'Connaître les périodes et les dates principales, les grandes figures, les événements fondateurs de l''histoire de France, en les reliant à l''histoire du continent européen et du monde', 'all', 5, 145, 'socle', 1, 0),
(146, 'Être préparé à partager une culture européenne par une connaissance des textes majeurs de l''Antiquité (l''Iliade et l''Odyssée, récits de la fondation de Rome, la Bible)', 'Être préparé à partager une culture européenne par une connaissance des textes majeurs de l''Antiquité (l''Iliade et l''Odyssée, récits de la fondation de Rome, la Bible)', 'all', 5, 146, 'socle', 1, 0),
(147, 'Être préparé à partager une culture européenne par une connaissance d''oeuvres littéraires, picturales, théâtrales, musicales, architecturales ou cinématographiques majeures du patrimoine français, européen et mondial (ancien, moderne ou contemporain)', 'Être préparé à partager une culture européenne par une connaissance d''oeuvres littéraires, picturales, théâtrales, musicales, architecturales ou cinématographiques majeures du patrimoine français, européen et mondial (ancien, moderne ou contemporain)', 'all', 5, 147, 'socle', 1, 0),
(148, 'Comprendre l''unité et la complexité du monde par une première approche des droits de l''Homme', 'Comprendre l''unité et la complexité du monde par une première approche des droits de l''Homme', 'all', 5, 148, 'socle', 1, 0),
(149, 'Comprendre l''unité et la complexité du monde par une première approche de la diversité des civilisations, des sociétés, des religions (histoire et aire de diffusion contemporaine)', 'Comprendre l''unité et la complexité du monde par une première approche de la diversité des civilisations, des sociétés, des religions (histoire et aire de diffusion contemporaine)', 'all', 5, 149, 'socle', 1, 0),
(150, 'Comprendre l''unité et la complexité du monde par une première approche du fait religieux en France, en Europe et dans le monde en prenant notamment appui sur des textes fondateurs (en particulier, des extraits de la Bible et du Coran) dans un esprit de la', 'Comprendre l''unité et la complexité du monde par une première approche du fait religieux en France, en Europe et dans le monde en prenant notamment appui sur des textes fondateurs (en particulier, des extraits de la Bible et du Coran) dans un esprit de la', 'all', 5, 150, 'socle', 1, 0),
(151, 'Comprendre l''unité et la complexité du monde par une première approche des grands principes de la production et de l''échange', 'Comprendre l''unité et la complexité du monde par une première approche des grands principes de la production et de l''échange', 'all', 5, 151, 'socle', 1, 0),
(152, 'Comprendre l''unité et la complexité du monde par une première approche de la mondialisation', 'Comprendre l''unité et la complexité du monde par une première approche de la mondialisation', 'all', 5, 152, 'socle', 1, 0),
(153, 'Comprendre l''unité et la complexité du monde par une première approche des inégalités et des interdépendances dans le monde', 'Comprendre l''unité et la complexité du monde par une première approche des inégalités et des interdépendances dans le monde', 'all', 5, 153, 'socle', 1, 0),
(154, 'Comprendre l''unité et la complexité du monde par une première approche des notions de ressources, de contraintes, de risques', 'Comprendre l''unité et la complexité du monde par une première approche des notions de ressources, de contraintes, de risques', 'all', 5, 154, 'socle', 1, 0),
(155, 'Comprendre l''unité et la complexité du monde par une première approche du développement durable', 'Comprendre l''unité et la complexité du monde par une première approche du développement durable', 'all', 5, 155, 'socle', 1, 0),
(156, 'Comprendre l''unité et la complexité du monde par une première approche des éléments de culture politique : les grandes formes d''organisation politique, économique et sociale (notamment des grands États de l''Union européenne), la place et le rôle de l''État', 'Comprendre l''unité et la complexité du monde par une première approche des éléments de culture politique : les grandes formes d''organisation politique, économique et sociale (notamment des grands États de l''Union européenne), la place et le rôle de l''État', 'all', 5, 156, 'socle', 1, 0),
(157, 'Comprendre l''unité et la complexité du monde par une première approche des conflits dans le monde et des notions de défense', 'Comprendre l''unité et la complexité du monde par une première approche des conflits dans le monde et des notions de défense', 'all', 5, 157, 'socle', 1, 0),
(158, 'Lire et utiliser différents langages, en particulier les images (différents types de textes, tableaux et graphiques, schémas, représentations cartographiques, représentations d''oeuvres d''art, photographies, images de synthèse)', 'Lire et utiliser différents langages, en particulier les images (différents types de textes, tableaux et graphiques, schémas, représentations cartographiques, représentations d''oeuvres d''art, photographies, images de synthèse)', 'all', 5, 158, 'socle', 1, 0),
(159, 'Situer dans le temps les événements, les oeuvres littéraires ou artistiques, les découvertes scientifiques ou techniques étudiés et de les mettre en relation avec des faits historiques ou culturels utiles à leur compréhension', 'Situer dans le temps les événements, les oeuvres littéraires ou artistiques, les découvertes scientifiques ou techniques étudiés et de les mettre en relation avec des faits historiques ou culturels utiles à leur compréhension', 'all', 5, 159, 'socle', 1, 0),
(160, 'Situer dans l''espace un lieu ou un ensemble g&eacute;ographique, en utilisant des cartes &agrave; diff&eacute;rentes &eacute;chelles', 'Situer dans l''espace un lieu ou un ensemble g&eacute;ographique, en utilisant des cartes &agrave; diff&eacute;rentes &eacute;chelles', 'all', 5, 160, 'socle', 1, 0),
(161, 'Faire la distinction entre produits de consommation culturelle et oeuvres d''art', 'Faire la distinction entre produits de consommation culturelle et oeuvres d''art', 'all', 5, 161, 'socle', 1, 0),
(162, 'Avoir une approche sensible de la réalité', 'Avoir une approche sensible de la réalité', 'all', 5, 162, 'socle', 1, 0),
(163, 'Mobiliser les connaissances pour donner du sens à l''actualité', 'Mobiliser les connaissances pour donner du sens à l''actualité', 'all', 5, 163, 'socle', 1, 0),
(164, 'Développer par une pratique raisonnée, comme acteurs et comme spectateurs, les valeurs humanistes et universelles du sport', 'Développer par une pratique raisonnée, comme acteurs et comme spectateurs, les valeurs humanistes et universelles du sport', 'all', 5, 164, 'socle', 1, 0),
(165, 'Avoir une vie culturelle personnelle par la lecture, par la fréquentation des musées, par les spectacles (cinéma, théâtre, concerts et autres spectacles culturels)', 'Avoir une vie culturelle personnelle par la lecture, par la fréquentation des musées, par les spectacles (cinéma, théâtre, concerts et autres spectacles culturels)', 'all', 5, 165, 'socle', 1, 0),
(166, 'Favoriser la pratique d''une activité culturelle, artistique ou physique', 'Favoriser la pratique d''une activité culturelle, artistique ou physique', 'all', 5, 166, 'socle', 1, 0),
(167, 'Développer de la curiosité pour les productions artistiques, patrimoniales et contemporaines, françaises et étrangères', 'Développer de la curiosité pour les productions artistiques, patrimoniales et contemporaines, françaises et étrangères', 'all', 5, 167, 'socle', 1, 0),
(168, 'Développer de la curiosité pour les autres pays du monde (histoire, civilisation, actualité)', 'Développer de la curiosité pour les autres pays du monde (histoire, civilisation, actualité)', 'all', 5, 168, 'socle', 1, 0),
(169, 'Connaître les règles de la vie collective et comprendre que toute organisation humaine se fonde sur des codes de conduite et des usages dont le respect s''impose', 'Connaître les règles de la vie collective et comprendre que toute organisation humaine se fonde sur des codes de conduite et des usages dont le respect s''impose', 'all', 6, 169, 'socle', 1, 0),
(170, 'Savoir ce qui est interdit et ce qui est permis', 'Savoir ce qui est interdit et ce qui est permis', 'all', 6, 170, 'socle', 1, 0),
(171, 'Connaître la distinction entre sphères professionnelle, publique et privée', 'Connaître la distinction entre sphères professionnelle, publique et privée', 'all', 6, 171, 'socle', 1, 0),
(172, 'Être éduqué à la sexualité, à la santé et à la sécurité', 'Être éduqué à la sexualité, à la santé et à la sécurité', 'all', 6, 172, 'socle', 1, 0),
(173, 'Connaître les gestes de premiers secours', 'Connaître les gestes de premiers secours', 'all', 6, 173, 'socle', 1, 0),
(174, 'Respecter les règles, notamment le règlement intérieur de l''établissement', 'Respecter les règles, notamment le règlement intérieur de l''établissement', 'all', 6, 174, 'socle', 1, 0),
(175, 'Communiquer et de travailler en équipe, ce qui suppose savoir écouter, faire valoir son point de vue, négocier, rechercher un consensus, accomplir sa tâche selon les règles établies en groupe', 'Communiquer et de travailler en équipe, ce qui suppose savoir écouter, faire valoir son point de vue, négocier, rechercher un consensus, accomplir sa tâche selon les règles établies en groupe', 'all', 6, 175, 'socle', 1, 0),
(176, 'Evaluer les conséquences de ses actes : savoir reconnaître et nommer ses émotions, ses impressions, pouvoir s''affirmer de manière constructive', 'Evaluer les conséquences de ses actes : savoir reconnaître et nommer ses émotions, ses impressions, pouvoir s''affirmer de manière constructive', 'all', 6, 176, 'socle', 1, 0),
(177, 'Porter secours : l''obtention de l''attestation de formation aux premiers secours certifie que cette capacité est acquise', 'Porter secours : l''obtention de l''attestation de formation aux premiers secours certifie que cette capacité est acquise', 'all', 6, 177, 'socle', 1, 0),
(178, 'Respecter les règles de sécurité, notamment routière par l''obtention de l''attestation scolaire de sécurité routière', 'Respecter les règles de sécurité, notamment routière par l''obtention de l''attestation scolaire de sécurité routière', 'all', 6, 178, 'socle', 1, 0),
(179, 'Adopter une attitude de respect vis-à-vis de soi', 'Adopter une attitude de respect vis-à-vis de soi', 'all', 6, 179, 'socle', 1, 0),
(180, 'Adopter une attitude de respect vis-à-vis des autres (civilité, tolérance, refus des préjugés et des stéréotypes)', 'Adopter une attitude de respect vis-à-vis des autres (civilité, tolérance, refus des préjugés et des stéréotypes)', 'all', 6, 180, 'socle', 1, 0),
(181, 'Respecter l''autre sexe', 'Respecter l''autre sexe', 'all', 6, 181, 'socle', 1, 0),
(182, 'Respecter la vie privée', 'Respecter la vie privée', 'all', 6, 182, 'socle', 1, 0),
(183, 'Vouloir résoudre pacifiquement des conflits', 'Vouloir résoudre pacifiquement des conflits', 'all', 6, 183, 'socle', 1, 0),
(184, 'Prendre conscience que nul ne peut exister sans autrui (contributions de chacun, responsabilités, solidarité)', 'Prendre conscience que nul ne peut exister sans autrui (contributions de chacun, responsabilités, solidarité)', 'all', 6, 184, 'socle', 1, 0),
(185, 'Connaître la Déclaration des droits de l''homme et du citoyen', 'Connaître la Déclaration des droits de l''homme et du citoyen', 'all', 6, 185, 'socle', 1, 0),
(186, 'Connaître la Convention internationale des droits de l''enfant', 'Connaître la Convention internationale des droits de l''enfant', 'all', 6, 186, 'socle', 1, 0),
(187, 'Connaître les symboles de la République et leur signification (drapeau, devise, hymne national)', 'Connaître les symboles de la République et leur signification (drapeau, devise, hymne national)', 'all', 6, 187, 'socle', 1, 0),
(188, 'Connaître les règles fondamentales de la vie démocratique (la loi, le principe de la représentation, le suffrage universel, le secret du vote, la décision majoritaire et les droits de l''opposition)', 'Connaître les règles fondamentales de la vie démocratique (la loi, le principe de la représentation, le suffrage universel, le secret du vote, la décision majoritaire et les droits de l''opposition)', 'all', 6, 188, 'socle', 1, 0),
(189, 'Connaître le lien entre le respect des règles de la vie sociale et politique et les valeurs qui fondent la République', 'Connaître le lien entre le respect des règles de la vie sociale et politique et les valeurs qui fondent la République', 'all', 6, 189, 'socle', 1, 0),
(190, 'Connaître quelques notions juridiques de base (identité de la personne, nationalité, principe de responsabilité et la notion de contrat, en référence à des situations courantes)', 'Connaître quelques notions juridiques de base (identité de la personne, nationalité, principe de responsabilité et la notion de contrat, en référence à des situations courantes)', 'all', 6, 190, 'socle', 1, 0),
(191, 'Connaître quelques notions de gestion (établir un budget personnel, contracter un emprunt, etc.)', 'Connaître quelques notions de gestion (établir un budget personnel, contracter un emprunt, etc.)', 'all', 6, 191, 'socle', 1, 0),
(192, 'Connaître le fonctionnement de la justice (distinction entre civil et pénal, entre judiciaire et administratif)', 'Connaître le fonctionnement de la justice (distinction entre civil et pénal, entre judiciaire et administratif)', 'all', 6, 192, 'socle', 1, 0),
(193, 'Connaître les grands organismes internationaux', 'Connaître les grands organismes internationaux', 'all', 6, 193, 'socle', 1, 0),
(194, 'Connaître l''Union européenne : les finalités du projet partagé par les nations qui la constituent', 'Connaître l''Union européenne : les finalités du projet partagé par les nations qui la constituent', 'all', 6, 194, 'socle', 1, 0),
(195, 'Connaître l''Union européenne : les grandes caractéristiques de ses institutions', 'Connaître l''Union européenne : les grandes caractéristiques de ses institutions', 'all', 6, 195, 'socle', 1, 0),
(196, 'Connaître les principales institutions de la République (pouvoirs et fonctions de l''État et des collectivités territoriales)', 'Connaître les principales institutions de la République (pouvoirs et fonctions de l''État et des collectivités territoriales)', 'all', 6, 196, 'socle', 1, 0),
(197, 'Connaître le principe de laïcité', 'Connaître le principe de laïcité', 'all', 6, 197, 'socle', 1, 0),
(198, 'Connaître les principales données relatives à la démographie et à l''économie françaises', 'Connaître les principales données relatives à la démographie et à l''économie françaises', 'all', 6, 198, 'socle', 1, 0),
(199, 'Connaître le schéma général des recettes et des dépenses publiques (état, collectivités locales, sécurité sociale)', 'Connaître le schéma général des recettes et des dépenses publiques (état, collectivités locales, sécurité sociale)', 'all', 6, 199, 'socle', 1, 0);
INSERT INTO `competences` (`id`, `nomcourt`, `nomlong`, `rne`, `cptcegrp_id`, `competence_id`, `type`, `niveau`, `utilisateur_id`) VALUES
(200, 'Connaître le fonctionnement des services sociaux', 'Connaître le fonctionnement des services sociaux', 'all', 6, 200, 'socle', 1, 0),
(201, 'Savoir évaluer la part de subjectivité ou de partialité d''un discours, d''un récit, d''un reportage', 'Savoir évaluer la part de subjectivité ou de partialité d''un discours, d''un récit, d''un reportage', 'all', 6, 201, 'socle', 1, 0),
(202, 'Savoir distinguer un argument rationnel d''un argument d''autorité', 'Savoir distinguer un argument rationnel d''un argument d''autorité', 'all', 6, 202, 'socle', 1, 0),
(203, 'Apprendre à identifier, classer, hiérarchiser, soumettre à critique l''information et la mettre à distance', 'Apprendre à identifier, classer, hiérarchiser, soumettre à critique l''information et la mettre à distance', 'all', 6, 203, 'socle', 1, 0),
(204, 'Savoir distinguer virtuel et réel', 'Savoir distinguer virtuel et réel', 'all', 6, 204, 'socle', 1, 0),
(205, 'Être éduqué aux médias et avoir conscience de leur place et de leur influence dans la société', 'Être éduqué aux médias et avoir conscience de leur place et de leur influence dans la société', 'all', 6, 205, 'socle', 1, 0),
(206, 'Savoir construire son opinion personnelle et pouvoir la remettre en question, la nuancer (par la prise de conscience de la part d''affectivité, de l''influence de préjugés, de stéréotypes)', 'Savoir construire son opinion personnelle et pouvoir la remettre en question, la nuancer (par la prise de conscience de la part d''affectivité, de l''influence de préjugés, de stéréotypes)', 'all', 6, 206, 'socle', 1, 0),
(207, 'Avoir conscience de ses droits et devoirs', 'Avoir conscience de ses droits et devoirs', 'all', 6, 207, 'socle', 1, 0),
(208, 'Avoir de l''intérêt pour la vie publique et les grands enjeux de société', 'Avoir de l''intérêt pour la vie publique et les grands enjeux de société', 'all', 6, 208, 'socle', 1, 0),
(209, 'Avoir conscience conscience de l''importance du vote et de la prise de décision démocratique', 'Avoir conscience conscience de l''importance du vote et de la prise de décision démocratique', 'all', 6, 209, 'socle', 1, 0),
(210, 'Vouloir participer à des activités civiques', 'Vouloir participer à des activités civiques', 'all', 6, 210, 'socle', 1, 0),
(211, 'Connaître les processus d''apprentissage, ses propres points forts et faiblesses', 'Connaître les processus d''apprentissage, ses propres points forts et faiblesses', 'all', 7, 211, 'socle', 1, 0),
(212, 'Connaître l''environnement économique', 'Connaître l''environnement économique', 'all', 7, 212, 'socle', 1, 0),
(213, 'Connaître l''entreprise', 'Connaître l''entreprise', 'all', 7, 213, 'socle', 1, 0),
(214, 'Connaître les métiers de secteurs et de niveaux de qualification variés ainsi que les parcours de formation correspondants et les possibilités de s''y intégrer', 'Connaître les métiers de secteurs et de niveaux de qualification variés ainsi que les parcours de formation correspondants et les possibilités de s''y intégrer', 'all', 7, 214, 'socle', 1, 0),
(215, 'S''appuyer sur des méthodes de travail (organiser son temps et planifier son travail, prendre des notes, consulter spontanément un dictionnaire, une encyclopédie, ou tout autre outil nécessaire, se concentrer, mémoriser, élaborer un dossier, exposer)', 'S''appuyer sur des méthodes de travail (organiser son temps et planifier son travail, prendre des notes, consulter spontanément un dictionnaire, une encyclopédie, ou tout autre outil nécessaire, se concentrer, mémoriser, élaborer un dossier, exposer)', 'all', 7, 215, 'socle', 1, 0),
(216, 'Savoir respecter des consignes', 'Savoir respecter des consignes', 'all', 7, 216, 'socle', 1, 0),
(217, 'Identifier un problème et mettre au point une démarche de résolution', 'Identifier un problème et mettre au point une démarche de résolution', 'all', 7, 217, 'socle', 1, 0),
(218, 'Rechercher l''information utile, l''analyser, la trier, la hiérarchiser, l''organiser, la synthétiser', 'Rechercher l''information utile, l''analyser, la trier, la hiérarchiser, l''organiser, la synthétiser', 'all', 7, 218, 'socle', 1, 0),
(219, 'Mettre en relation les acquis des différentes disciplines et les mobiliser dans des situations variées', 'Mettre en relation les acquis des différentes disciplines et les mobiliser dans des situations variées', 'all', 7, 219, 'socle', 1, 0),
(220, 'Identifier, expliquer, rectifier une erreur', 'Identifier, expliquer, rectifier une erreur', 'all', 7, 220, 'socle', 1, 0),
(221, 'Distinguer ce dont on est sûr de ce qu''il faut prouver', 'Distinguer ce dont on est sûr de ce qu''il faut prouver', 'all', 7, 221, 'socle', 1, 0),
(222, 'Mettre à l''essai plusieurs pistes de solution', 'Mettre à l''essai plusieurs pistes de solution', 'all', 7, 222, 'socle', 1, 0),
(223, 'Savoir s''autoévaluer', 'Savoir s''autoévaluer', 'all', 7, 223, 'socle', 1, 0),
(224, 'Savoir choisir un parcours de formation, première étape de la formation tout au long de la vie', 'Savoir choisir un parcours de formation, première étape de la formation tout au long de la vie', 'all', 7, 224, 'socle', 1, 0),
(225, 'Développer sa persévérance', 'Développer sa persévérance', 'all', 7, 225, 'socle', 1, 0),
(226, 'Avoir une bonne maîtrise de son corps, savoir nager', 'Avoir une bonne maîtrise de son corps, savoir nager', 'all', 7, 226, 'socle', 1, 0),
(227, 'Vouloir se prendre en charge personnellement, d''exploiter ses facultés intellectuelles et physiques', 'Vouloir se prendre en charge personnellement, d''exploiter ses facultés intellectuelles et physiques', 'all', 7, 227, 'socle', 1, 0),
(228, 'Avoir conscience de la nécessité de s''impliquer, de rechercher des occasions d''apprendre', 'Avoir conscience de la nécessité de s''impliquer, de rechercher des occasions d''apprendre', 'all', 7, 228, 'socle', 1, 0),
(229, 'Avoir conscience de l''influence des autres sur ses valeurs et ses choix', 'Avoir conscience de l''influence des autres sur ses valeurs et ses choix', 'all', 7, 229, 'socle', 1, 0),
(230, 'S''ouvrir l''esprit aux différents secteurs professionnels et conscience de leur égale dignité', 'S''ouvrir l''esprit aux différents secteurs professionnels et conscience de leur égale dignité', 'all', 7, 230, 'socle', 1, 0),
(231, 'Définir une démarche adaptée au projet', 'Définir une démarche adaptée au projet', 'all', 7, 231, 'socle', 1, 0),
(232, 'Trouver et contacter des partenaires, consulter des personnes-ressources', 'Trouver et contacter des partenaires, consulter des personnes-ressources', 'all', 7, 232, 'socle', 1, 0),
(233, 'Prendre des décisions, s''engager et prendre des risques en conséquence', 'Prendre des décisions, s''engager et prendre des risques en conséquence', 'all', 7, 233, 'socle', 1, 0),
(234, 'Prendre l''avis des autres, échanger, informer, organiser une réunion, représenter le groupe', 'Prendre l''avis des autres, échanger, informer, organiser une réunion, représenter le groupe', 'all', 7, 234, 'socle', 1, 0),
(235, 'Déterminer les tâches à accomplir, établir des priorités', 'Déterminer les tâches à accomplir, établir des priorités', 'all', 7, 235, 'socle', 1, 0),
(236, 'Développer la curiosité et la créativité', 'Développer la curiosité et la créativité', 'all', 7, 236, 'socle', 1, 0),
(237, 'Développer la motivation et détermination dans la réalisation d''objectifs', 'Développer la motivation et détermination dans la réalisation d''objectifs', 'all', 7, 237, 'socle', 1, 0);

-- --------------------------------------------------------

--
-- Structure de la table `competences_professeurs`
--

CREATE TABLE IF NOT EXISTS `competences_professeurs` (
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la competence',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur professeur',
  PRIMARY KEY  (`competence_id`,`professeur_id`),
  KEY `competences_professeurs_FI_2` (`professeur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Toutes les competences peda sont rattachees a des professeur';

--
-- Contenu de la table `competences_professeurs`
--


-- --------------------------------------------------------

--
-- Structure de la table `competence_ressources`
--

CREATE TABLE IF NOT EXISTS `competence_ressources` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table competence_ressources',
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la table competences',
  `ressource_id` int(11) NOT NULL COMMENT 'cle etrangere de la ressource',
  `validation` char(1) NOT NULL COMMENT 'Pour quel niveau de validation ? on stocke la lettre',
  `matiere_id` int(11) NOT NULL COMMENT 'cle etrangere de la matiere',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement de cette association competence-ressource',
  PRIMARY KEY  (`id`),
  KEY `competence_ressources_FI_1` (`competence_id`),
  KEY `competence_ressources_FI_2` (`ressource_id`),
  KEY `competence_ressources_FI_3` (`matiere_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Quelle ressource pour quelle competence ?' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `competence_ressources`
--


-- --------------------------------------------------------

--
-- Structure de la table `competence_visible`
--

CREATE TABLE IF NOT EXISTS `competence_visible` (
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la competence',
  `rne` varchar(10) NOT NULL COMMENT 'cle etrangere de l''etablissement',
  `visible` char(1) NOT NULL COMMENT 'O/N visible ou pas',
  PRIMARY KEY  (`competence_id`,`rne`),
  KEY `competence_visible_FI_2` (`rne`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Permet a un etablissement de rendre invisible certaines comp';

--
-- Contenu de la table `competence_visible`
--


-- --------------------------------------------------------

--
-- Structure de la table `controles`
--

CREATE TABLE IF NOT EXISTS `controles` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table controles',
  `nomcourt` varchar(255) NOT NULL COMMENT 'Nom court du controle',
  `nomlong` varchar(255) NOT NULL COMMENT 'Nom long du controle',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `grille_id` int(11) NOT NULL COMMENT 'cle etrangere de la grille',
  `groupe_id` int(11) NOT NULL COMMENT 'cle etrangere du groupe',
  `created_on` int(12) NOT NULL COMMENT 'Date de creation du controle',
  PRIMARY KEY  (`id`),
  KEY `controles_FI_1` (`grille_id`),
  KEY `controles_FI_2` (`groupe_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des controles' AUTO_INCREMENT=6 ;

--
-- Contenu de la table `controles`
--

INSERT INTO `controles` (`id`, `nomcourt`, `nomlong`, `rne`, `grille_id`, `groupe_id`, `created_on`) VALUES
(1, 'Contrôle 1', 'Contrôle 1', 'UN_RNE', 1, 1, 1259676791),
(2, 'Nom du controle à modifier !', '', 'UN_RNE', 1, 1, 1260611753),
(5, 'Nom du controle à modifier !', '', 'UN_RNE', 1, 1, 1260879579);

-- --------------------------------------------------------

--
-- Structure de la table `controle_possesseurs`
--

CREATE TABLE IF NOT EXISTS `controle_possesseurs` (
  `controle_id` int(11) NOT NULL COMMENT 'cle etrangere du controle',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur professeur',
  PRIMARY KEY  (`controle_id`,`utilisateur_id`),
  KEY `controle_possesseurs_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des possesseurs de chaque controle';

--
-- Contenu de la table `controle_possesseurs`
--

INSERT INTO `controle_possesseurs` (`controle_id`, `utilisateur_id`) VALUES
(1, 2),
(2, 2),
(5, 2);

-- --------------------------------------------------------

--
-- Structure de la table `controle_resultats`
--

CREATE TABLE IF NOT EXISTS `controle_resultats` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table controle_resultats',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `controle_id` int(11) NOT NULL COMMENT 'cle etrangere du controle',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur eleve',
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la competence',
  `resultat` char(2) NOT NULL COMMENT 'resultat de la competence',
  PRIMARY KEY  (`id`),
  KEY `controle_resultats_FI_1` (`controle_id`),
  KEY `controle_resultats_FI_2` (`utilisateur_id`),
  KEY `controle_resultats_FI_3` (`competence_id`),
  KEY `controle_resultats_FI_4` (`resultat`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Resultat de l''evaluation de chaque competence pour chaque co' AUTO_INCREMENT=25 ;

--
-- Contenu de la table `controle_resultats`
--

INSERT INTO `controle_resultats` (`id`, `rne`, `controle_id`, `utilisateur_id`, `competence_id`, `resultat`) VALUES
(1, 'UN_RNE', 1, 4, 141, 'a'),
(2, 'UN_RNE', 1, 4, 144, 'a'),
(3, 'UN_RNE', 1, 4, 145, 'a'),
(4, 'UN_RNE', 1, 5, 141, 'n'),
(5, 'UN_RNE', 1, 5, 144, 'r'),
(6, 'UN_RNE', 1, 5, 145, 'c'),
(7, 'UN_RNE', 2, 4, 141, 'a'),
(8, 'UN_RNE', 2, 4, 144, 'c'),
(9, 'UN_RNE', 2, 4, 145, 'm'),
(10, 'UN_RNE', 2, 5, 141, ''),
(11, 'UN_RNE', 2, 5, 144, ''),
(12, 'UN_RNE', 2, 5, 145, ''),
(24, 'UN_RNE', 5, 5, 145, 'c'),
(23, 'UN_RNE', 5, 5, 144, 'a'),
(22, 'UN_RNE', 5, 5, 141, 'm'),
(21, 'UN_RNE', 5, 4, 145, 'c'),
(20, 'UN_RNE', 5, 4, 144, 'r'),
(19, 'UN_RNE', 5, 4, 141, 'n');

-- --------------------------------------------------------

--
-- Structure de la table `cptcegrps`
--

CREATE TABLE IF NOT EXISTS `cptcegrps` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table cptcegrps',
  `ordre` int(11) NOT NULL COMMENT 'Ordre d''affichage de ces groupes de compÃ©tences (tronc commun)',
  `nom` varchar(255) NOT NULL COMMENT 'Nom du grp',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Les principaux themes de competence du tronc commun' AUTO_INCREMENT=8 ;

--
-- Contenu de la table `cptcegrps`
--

INSERT INTO `cptcegrps` (`id`, `ordre`, `nom`) VALUES
(1, 1, 'La ma&icirc;trise de la langue fran&ccedil;aise'),
(2, 2, 'La pratique d''une langue vivante &eacute;trang&egrave;re'),
(3, 3, 'Les principaux &eacute;l&eacute;ments de math&eacute;matiques et la culture scientifique et technologique'),
(4, 4, 'La ma&icirc;trise des techniques usuelles de l''information et de la communication'),
(5, 5, 'La culture humaniste'),
(6, 6, 'Les comp&eacute;tences sociales et civiques'),
(7, 7, 'L''autonomie et l''esprit d''initiative');

-- --------------------------------------------------------

--
-- Structure de la table `cptcegrp_utilisateurs`
--

CREATE TABLE IF NOT EXISTS `cptcegrp_utilisateurs` (
  `cptcegrp_id` int(11) NOT NULL COMMENT 'cle etrangere de la cptcegrps',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  PRIMARY KEY  (`cptcegrp_id`,`utilisateur_id`),
  KEY `cptcegrp_utilisateurs_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Permet a un utilisateur de ne choisir d''afficher que les com';

--
-- Contenu de la table `cptcegrp_utilisateurs`
--

INSERT INTO `cptcegrp_utilisateurs` (`cptcegrp_id`, `utilisateur_id`) VALUES
(1, 2),
(3, 2);

-- --------------------------------------------------------

--
-- Structure de la table `droits`
--

CREATE TABLE IF NOT EXISTS `droits` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table droits',
  `role_id` varchar(50) NOT NULL COMMENT 'role concerne',
  `module` varchar(100) NOT NULL default '' COMMENT 'Nom du module',
  `controleur` varchar(100) NOT NULL COMMENT 'Nom du controleur',
  `action` varchar(100) NOT NULL default 'index' COMMENT 'action autorisee',
  PRIMARY KEY  (`id`),
  KEY `droits_FI_1` (`role_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des droits pour chaque role' AUTO_INCREMENT=601 ;

--
-- Contenu de la table `droits`
--

INSERT INTO `droits` (`id`, `role_id`, `module`, `controleur`, `action`) VALUES
(1, '4', '', 'accueil', 'index'),
(2, '4', '', 'groupes', 'index'),
(3, '4', '', 'groupes', 'ajouter'),
(4, '4', '', 'groupes', 'effacer'),
(5, '4', '', 'groupes', 'modifier'),
(6, '4', '', 'groupes', 'supprimerEleve'),
(7, '4', '', 'groupes', 'ajouterEleve'),
(8, '4', '', 'competences', 'index'),
(9, '4', '', 'competences', 'ajouter'),
(10, '4', '', 'competences', 'effacer'),
(11, '4', '', 'competences', 'commun'),
(12, '4', '', 'competences', 'perso'),
(13, '4', '', 'competences', 'domaines'),
(14, '4', '', 'competences', 'effacerDomaine'),
(15, '4', '', 'competences', 'ajaxPreferences'),
(16, '4', '', 'competences', 'modifier'),
(17, '4', '', 'grilles', 'index'),
(18, '4', '', 'grilles', 'ajouter'),
(19, '4', '', 'grilles', 'modifierNom'),
(20, '4', '', 'grilles', 'effacer'),
(21, '4', '', 'grilles', 'eleves'),
(22, '4', '', 'grilles', 'lierAvecCompetences'),
(23, '4', '', 'grilles', 'lierAvecGroupe'),
(24, '4', '', 'grilles', 'delierCompetence'),
(25, '4', '', 'grilles', 'delierGroupe'),
(26, '4', '', 'controles', 'perso'),
(27, '4', '', 'controles', 'controle'),
(28, '4', '', 'controles', 'ajaxEvaluer'),
(29, '4', '', 'controles', 'changerNomControle'),
(30, '4', '', 'controles', 'ajouterResultatControle'),
(31, '4', '', 'controles', 'effacer'),
(32, '4', '', 'controles', 'modifier'),
(33, '4', '', 'controles', 'addModif'),
(34, '4', '', 'utilisateurs', 'perso'),
(35, '4', '', 'utilisateurs', 'modifMdp'),
(36, '4', '', 'login', 'logout'),
(37, '4', '', 'pdf', 'controle'),
(38, '4', '', 'pdf', 'editerBulletin'),
(39, '4', '', 'pdf', 'grille'),
(40, '4', '', 'odt', 'grille'),
(41, '4', '', 'bilans', 'index'),
(42, '4', '', 'bilans', 'ajouter'),
(43, '4', '', 'bilans', 'effacer'),
(44, '4', '', 'bilans', 'modifier'),
(45, '4', '', 'bilans', 'perso'),
(46, '4', '', 'bilans', 'eleveEtCompetence'),
(47, '4', '', 'bilans', 'eleveEtSocle'),
(48, '4', '', 'bilans', 'bilanRapideSocle'),
(49, '4', '', 'bilans', 'addBilanCptceHorsSocle'),
(50, '4', '', 'bilans', 'tousBilans'),
(51, '4', '', 'bulletins', 'index'),
(52, '4', '', 'bulletins', 'ajouter'),
(53, '4', '', 'bulletins', 'effacer'),
(54, '4', '', 'bulletins', 'modifier'),
(55, '4', '', 'bulletins', 'perso'),
(56, '4', '', 'bulletins', 'persoBulletin'),
(57, '4', '', 'bulletins', 'ajouterAppreciation'),
(58, '4', '', 'bulletins', 'ouvrirBulletin'),
(59, '4', '', 'bulletins', 'fermerBulletin'),
(60, '4', '', 'bulletins', 'transPP'),
(61, '4', '', 'bulletins', 'transAjouter'),
(62, '4', '', 'exercices', 'index'),
(63, '4', '', 'exercices', 'perso'),
(64, '4', '', 'exercices', 'ajouter'),
(65, '4', '', 'exercices', 'effacer'),
(66, '4', '', 'exercices', 'modifier'),
(67, '4', '', 'exercices', 'lierDocs'),
(68, '4', '', 'discussions', 'index'),
(69, '4', '', 'discussions', 'ajouter'),
(70, '4', '', 'discussions', 'effacer'),
(71, '4', '', 'discussions', 'discussion'),
(72, '4', '', 'discussions', 'ajaxEnvoyer'),
(73, '4', '', 'discussions', 'ajaxRecevoir'),
(74, '4', '', 'remediations', 'eleves'),
(75, '4', '', 'remediations', 'ajaxEleves'),
(76, '4', '', 'remediations', 'ajaxBilanEleve'),
(77, '4', '', 'remediations', 'suivi'),
(78, '4', '', 'remediations', 'creer'),
(79, '4', '', 'remediations', 'lier'),
(80, '4', '', 'remediations', 'ajouter'),
(81, '4', '', 'remediations', 'effacer'),
(82, '4', '', 'remediations', 'modifier'),
(83, '4', '', 'remediations', 'fichier'),
(84, '4', '', 'remediations', 'eleves'),
(85, '4', '', 'remediations', 'ajaxEleves'),
(86, '4', '', 'remediations', 'ajaxBilanEleve'),
(87, '4', '', 'rest', 'serveurRest'),
(88, '2', '', 'accueil', 'index'),
(89, '2', '', 'groupes', 'index'),
(90, '2', '', 'groupes', 'ajouter'),
(91, '2', '', 'groupes', 'effacer'),
(92, '2', '', 'groupes', 'modifier'),
(93, '2', '', 'groupes', 'supprimerEleve'),
(94, '2', '', 'groupes', 'ajouterEleve'),
(95, '2', '', 'competences', 'index'),
(96, '2', '', 'competences', 'ajouter'),
(97, '2', '', 'competences', 'effacer'),
(98, '2', '', 'competences', 'commun'),
(99, '2', '', 'competences', 'perso'),
(100, '2', '', 'competences', 'domaines'),
(101, '2', '', 'competences', 'effacerDomaine'),
(102, '2', '', 'competences', 'ajaxPreferences'),
(103, '2', '', 'competences', 'modifier'),
(104, '2', '', 'competences', 'ajouterpeda'),
(105, '2', '', 'competences', 'effacercommun'),
(106, '2', '', 'grilles', 'index'),
(107, '2', '', 'grilles', 'ajouter'),
(108, '2', '', 'grilles', 'modifierNom'),
(109, '2', '', 'grilles', 'effacer'),
(110, '2', '', 'grilles', 'eleves'),
(111, '2', '', 'grilles', 'lierAvecCompetences'),
(112, '2', '', 'grilles', 'lierAvecGroupe'),
(113, '2', '', 'grilles', 'delierCompetence'),
(114, '2', '', 'grilles', 'delierGroupe'),
(115, '2', '', 'controles', 'perso'),
(116, '2', '', 'controles', 'controle'),
(117, '2', '', 'controles', 'ajaxEvaluer'),
(118, '2', '', 'controles', 'changerNomControle'),
(119, '2', '', 'controles', 'ajouterResultatControle'),
(120, '2', '', 'controles', 'effacer'),
(121, '2', '', 'controles', 'modifier'),
(122, '2', '', 'controles', 'addModif'),
(123, '2', '', 'utilisateurs', 'perso'),
(124, '2', '', 'utilisateurs', 'modifMdp'),
(125, '2', '', 'login', 'logout'),
(126, '2', '', 'pdf', 'controle'),
(127, '2', '', 'pdf', 'editerBulletin'),
(128, '2', '', 'pdf', 'grille'),
(129, '2', '', 'odt', 'grille'),
(130, '2', '', 'bilans', 'index'),
(131, '2', '', 'bilans', 'ajouter'),
(132, '2', '', 'bilans', 'effacer'),
(133, '2', '', 'bilans', 'modifier'),
(134, '2', '', 'bilans', 'perso'),
(135, '2', '', 'bilans', 'eleveEtCompetence'),
(136, '2', '', 'bilans', 'eleveEtSocle'),
(137, '2', '', 'bilans', 'bilanRapideSocle'),
(138, '2', '', 'bilans', 'addBilanCptceHorsSocle'),
(139, '2', '', 'bilans', 'tousBilans'),
(140, '2', '', 'bulletins', 'index'),
(141, '2', '', 'bulletins', 'ajouter'),
(142, '2', '', 'bulletins', 'effacer'),
(143, '2', '', 'bulletins', 'modifier'),
(144, '2', '', 'bulletins', 'perso'),
(145, '2', '', 'bulletins', 'persoBulletin'),
(146, '2', '', 'bulletins', 'ajouterAppreciation'),
(147, '2', '', 'bulletins', 'ouvrirBulletin'),
(148, '2', '', 'bulletins', 'fermerBulletin'),
(149, '2', '', 'bulletins', 'transPP'),
(150, '2', '', 'bulletins', 'transAjouter'),
(151, '2', '', 'discussions', 'index'),
(152, '2', '', 'discussions', 'ajouter'),
(153, '2', '', 'discussions', 'effacer'),
(154, '2', '', 'discussions', 'discussion'),
(155, '2', '', 'discussions', 'ajaxEnvoyer'),
(156, '2', '', 'discussions', 'ajaxRecevoir'),
(157, '2', '', 'exercices', 'index'),
(158, '2', '', 'exercices', 'perso'),
(159, '2', '', 'exercices', 'ajouter'),
(160, '2', '', 'exercices', 'effacer'),
(161, '2', '', 'exercices', 'modifier'),
(162, '2', '', 'exercices', 'lierDocs'),
(163, '2', '', 'remediations', 'suivi'),
(164, '2', '', 'remediations', 'creer'),
(165, '2', '', 'remediations', 'lier'),
(166, '2', '', 'remediations', 'ajouter'),
(167, '2', '', 'remediations', 'effacer'),
(168, '2', '', 'remediations', 'modifier'),
(169, '2', '', 'remediations', 'fichier'),
(170, '2', '', 'remediations', 'eleves'),
(171, '2', '', 'remediations', 'ajaxEleves'),
(172, '2', '', 'remediations', 'ajaxBilanEleve'),
(173, '2', '', 'rest', 'serveurRest'),
(174, '1', '', 'accueil', 'index'),
(175, '1', '', 'groupes', 'index'),
(176, '1', '', 'groupes', 'ajouter'),
(177, '1', '', 'groupes', 'effacer'),
(178, '1', '', 'groupes', 'modifier'),
(179, '1', '', 'groupes', 'supprimerEleve'),
(180, '1', '', 'groupes', 'ajouterEleve'),
(181, '1', '', 'competences', 'index'),
(182, '1', '', 'competences', 'ajouter'),
(183, '1', '', 'competences', 'effacer'),
(184, '1', '', 'competences', 'commun'),
(185, '1', '', 'competences', 'perso'),
(186, '1', '', 'competences', 'domaines'),
(187, '1', '', 'competences', 'effacerDomaine'),
(188, '1', '', 'competences', 'ajaxPreferences'),
(189, '1', '', 'competences', 'modifier'),
(190, '1', '', 'competences', 'ajouterpeda'),
(191, '1', '', 'competences', 'effacercommun'),
(192, '1', '', 'competences', 'ajoutersocle'),
(193, '1', '', 'competences', 'ajouterNiveau2'),
(194, '1', '', 'grilles', 'index'),
(195, '1', '', 'grilles', 'ajouter'),
(196, '1', '', 'grilles', 'modifierNom'),
(197, '1', '', 'grilles', 'effacer'),
(198, '1', '', 'grilles', 'eleves'),
(199, '1', '', 'grilles', 'lierAvecCompetences'),
(200, '1', '', 'grilles', 'lierAvecGroupe'),
(201, '1', '', 'grilles', 'delierCompetence'),
(202, '1', '', 'grilles', 'delierGroupe'),
(203, '1', '', 'controles', 'perso'),
(204, '1', '', 'controles', 'controle'),
(205, '1', '', 'controles', 'ajaxEvaluer'),
(206, '1', '', 'controles', 'changerNomControle'),
(207, '1', '', 'controles', 'ajouterResultatControle'),
(208, '1', '', 'controles', 'effacer'),
(209, '1', '', 'controles', 'modifier'),
(210, '1', '', 'controles', 'addModif'),
(211, '1', '', 'utilisateurs', 'perso'),
(212, '1', '', 'utilisateurs', 'modifMdp'),
(213, '1', '', 'utilisateurs', 'index'),
(214, '1', '', 'utilisateurs', 'ajouter'),
(215, '1', '', 'utilisateurs', 'effacer'),
(216, '1', '', 'utilisateurs', 'modifier'),
(217, '1', '', 'utilisateurs', 'modifUtilisateur'),
(218, '1', '', 'utilisateurs', 'addModifUtilisateur'),
(219, '1', '', 'utilisateurs', 'ajouterUtilisateurs'),
(220, '1', '', 'utilisateurs', 'profprincipaux'),
(221, '1', '', 'login', 'logout'),
(222, '1', '', 'pdf', 'controle'),
(223, '1', '', 'pdf', 'editerBulletin'),
(224, '1', '', 'pdf', 'grille'),
(225, '1', '', 'odt', 'grille'),
(226, '1', '', 'bilans', 'index'),
(227, '1', '', 'bilans', 'ajouter'),
(228, '1', '', 'bilans', 'effacer'),
(229, '1', '', 'bilans', 'modifier'),
(230, '1', '', 'bilans', 'perso'),
(231, '1', '', 'bilans', 'eleveEtCompetence'),
(232, '1', '', 'bilans', 'eleveEtSocle'),
(233, '1', '', 'bilans', 'bilanRapideSocle'),
(234, '1', '', 'bilans', 'addBilanCptceHorsSocle'),
(235, '1', '', 'bilans', 'tousBilans'),
(236, '1', '', 'bulletins', 'index'),
(237, '1', '', 'bulletins', 'ajouter'),
(238, '1', '', 'bulletins', 'effacer'),
(239, '1', '', 'bulletins', 'modifier'),
(240, '1', '', 'bulletins', 'perso'),
(241, '1', '', 'bulletins', 'persoBulletin'),
(242, '1', '', 'bulletins', 'ajouterAppreciation'),
(243, '1', '', 'bulletins', 'ouvrirBulletin'),
(244, '1', '', 'bulletins', 'fermerBulletin'),
(245, '1', '', 'bulletins', 'infos'),
(246, '1', '', 'bulletins', 'cptcesTransversalesBulletin'),
(247, '1', '', 'bulletins', 'addCptceTrans'),
(248, '1', '', 'bulletins', 'delCptceTrans'),
(249, '1', '', 'discussions', 'index'),
(250, '1', '', 'discussions', 'ajouter'),
(251, '1', '', 'discussions', 'effacer'),
(252, '1', '', 'discussions', 'discussion'),
(253, '1', '', 'discussions', 'ajaxEnvoyer'),
(254, '1', '', 'discussions', 'ajaxRecevoir'),
(255, '1', '', 'settings', 'index'),
(256, '1', '', 'settings', 'ajouter'),
(257, '1', '', 'settings', 'effacer'),
(258, '1', '', 'settings', 'validation'),
(259, '1', '', 'settings', 'periodes'),
(260, '1', '', 'settings', 'ajouterPeriode'),
(261, '1', '', 'settings', 'effacerPeriode'),
(262, '1', '', 'preferences', 'index'),
(263, '1', '', 'preferences', 'ajouterPref'),
(264, '1', '', 'classes', 'index'),
(265, '1', '', 'classes', 'ajouter'),
(266, '1', '', 'classes', 'effacer'),
(267, '1', '', 'matieres', 'index'),
(268, '3', '', 'accueil', 'index'),
(269, '3', '', 'accueil', 'indexEleve'),
(270, '3', '', 'utilisateurs', 'eleve'),
(271, '3', '', 'utilisateurs', 'modifMdp'),
(272, '3', '', 'controles', 'eleve'),
(273, '3', '', 'remediations', 'index'),
(274, '3', '', 'remediations', 'eleve'),
(275, '3', '', 'bilans', 'eleve'),
(276, '3', '', 'rest', 'serveurRest'),
(277, '6', '', 'accueil', 'index'),
(278, '6', '', 'bilans', 'voirEtab'),
(279, '6', '', 'discussions', 'index'),
(280, '6', '', 'discussions', 'ajouter'),
(281, '6', '', 'discussions', 'effacer'),
(282, '6', '', 'discussions', 'discussion'),
(283, '6', '', 'discussions', 'ajaxEnvoyer'),
(284, '6', '', 'discussions', 'ajaxRecevoir'),
(285, '6', '', 'login', 'logout'),
(286, '6', '', 'utilisateurs', 'perso'),
(287, '6', '', 'utilisateurs', 'modifMdp'),
(288, '4', '', 'accueil', 'index'),
(289, '4', '', 'groupes', 'index'),
(290, '4', '', 'groupes', 'ajouter'),
(291, '4', '', 'groupes', 'effacer'),
(292, '4', '', 'groupes', 'modifier'),
(293, '4', '', 'groupes', 'supprimerEleve'),
(294, '4', '', 'groupes', 'ajouterEleve'),
(295, '4', '', 'competences', 'index'),
(296, '4', '', 'competences', 'ajouter'),
(297, '4', '', 'competences', 'effacer'),
(298, '4', '', 'competences', 'commun'),
(299, '4', '', 'competences', 'perso'),
(300, '4', '', 'competences', 'domaines'),
(301, '4', '', 'competences', 'effacerDomaine'),
(302, '4', '', 'competences', 'ajaxPreferences'),
(303, '4', '', 'competences', 'modifier'),
(304, '4', '', 'grilles', 'index'),
(305, '4', '', 'grilles', 'ajouter'),
(306, '4', '', 'grilles', 'modifierNom'),
(307, '4', '', 'grilles', 'effacer'),
(308, '4', '', 'grilles', 'eleves'),
(309, '4', '', 'grilles', 'lierAvecCompetences'),
(310, '4', '', 'grilles', 'lierAvecGroupe'),
(311, '4', '', 'grilles', 'delierCompetence'),
(312, '4', '', 'grilles', 'delierGroupe'),
(313, '4', '', 'controles', 'perso'),
(314, '4', '', 'controles', 'controle'),
(315, '4', '', 'controles', 'ajaxEvaluer'),
(316, '4', '', 'controles', 'changerNomControle'),
(317, '4', '', 'controles', 'ajouterResultatControle'),
(318, '4', '', 'controles', 'effacer'),
(319, '4', '', 'controles', 'modifier'),
(320, '4', '', 'controles', 'addModif'),
(321, '4', '', 'utilisateurs', 'perso'),
(322, '4', '', 'utilisateurs', 'modifMdp'),
(323, '4', '', 'login', 'logout'),
(324, '4', '', 'pdf', 'controle'),
(325, '4', '', 'pdf', 'appreciations'),
(326, '4', '', 'pdf', 'editerBulletin'),
(327, '4', '', 'pdf', 'grille'),
(328, '4', '', 'odt', 'grille'),
(329, '4', '', 'bilans', 'index'),
(330, '4', '', 'bilans', 'ajouter'),
(331, '4', '', 'bilans', 'effacer'),
(332, '4', '', 'bilans', 'modifier'),
(333, '4', '', 'bilans', 'perso'),
(334, '4', '', 'bilans', 'eleveEtCompetence'),
(335, '4', '', 'bilans', 'eleveEtSocle'),
(336, '4', '', 'bilans', 'bilanRapideSocle'),
(337, '4', '', 'bilans', 'addBilanCptceHorsSocle'),
(338, '4', '', 'bilans', 'tousBilans'),
(339, '4', '', 'bilans', 'competence'),
(340, '4', '', 'bulletins', 'index'),
(341, '4', '', 'bulletins', 'ajouter'),
(342, '4', '', 'bulletins', 'effacer'),
(343, '4', '', 'bulletins', 'modifier'),
(344, '4', '', 'bulletins', 'perso'),
(345, '4', '', 'bulletins', 'persoBulletin'),
(346, '4', '', 'bulletins', 'ajouterAppreciation'),
(347, '4', '', 'bulletins', 'ouvrirBulletin'),
(348, '4', '', 'bulletins', 'fermerBulletin'),
(349, '4', '', 'bulletins', 'transPP'),
(350, '4', '', 'bulletins', 'transAjouter'),
(351, '4', '', 'bulletins', 'voirPP'),
(352, '4', '', 'exercices', 'index'),
(353, '4', '', 'exercices', 'perso'),
(354, '4', '', 'exercices', 'ajouter'),
(355, '4', '', 'exercices', 'effacer'),
(356, '4', '', 'exercices', 'modifier'),
(357, '4', '', 'exercices', 'lierDocs'),
(358, '4', '', 'exercices', 'supprimerDoc'),
(359, '4', '', 'discussions', 'index'),
(360, '4', '', 'discussions', 'ajouter'),
(361, '4', '', 'discussions', 'effacer'),
(362, '4', '', 'discussions', 'discussion'),
(363, '4', '', 'discussions', 'ajaxEnvoyer'),
(364, '4', '', 'discussions', 'ajaxRecevoir'),
(365, '4', '', 'remediations', 'eleves'),
(366, '4', '', 'remediations', 'ajaxEleves'),
(367, '4', '', 'remediations', 'ajaxBilanEleve'),
(368, '4', '', 'remediations', 'suivi'),
(369, '4', '', 'remediations', 'creer'),
(370, '4', '', 'remediations', 'lier'),
(371, '4', '', 'remediations', 'ajouter'),
(372, '4', '', 'remediations', 'effacer'),
(373, '4', '', 'remediations', 'modifier'),
(374, '4', '', 'remediations', 'fichier'),
(375, '4', '', 'remediations', 'eleves'),
(376, '4', '', 'remediations', 'ajaxEleves'),
(377, '4', '', 'remediations', 'ajaxBilanEleve'),
(378, '4', '', 'rest', 'serveurRest'),
(379, '2', '', 'accueil', 'index'),
(380, '2', '', 'groupes', 'index'),
(381, '2', '', 'groupes', 'ajouter'),
(382, '2', '', 'groupes', 'effacer'),
(383, '2', '', 'groupes', 'modifier'),
(384, '2', '', 'groupes', 'supprimerEleve'),
(385, '2', '', 'groupes', 'ajouterEleve'),
(386, '2', '', 'competences', 'index'),
(387, '2', '', 'competences', 'ajouter'),
(388, '2', '', 'competences', 'effacer'),
(389, '2', '', 'competences', 'commun'),
(390, '2', '', 'competences', 'perso'),
(391, '2', '', 'competences', 'domaines'),
(392, '2', '', 'competences', 'effacerDomaine'),
(393, '2', '', 'competences', 'ajaxPreferences'),
(394, '2', '', 'competences', 'modifier'),
(395, '2', '', 'competences', 'ajouterpeda'),
(396, '2', '', 'competences', 'effacercommun'),
(397, '2', '', 'grilles', 'index'),
(398, '2', '', 'grilles', 'ajouter'),
(399, '2', '', 'grilles', 'modifierNom'),
(400, '2', '', 'grilles', 'effacer'),
(401, '2', '', 'grilles', 'eleves'),
(402, '2', '', 'grilles', 'lierAvecCompetences'),
(403, '2', '', 'grilles', 'lierAvecGroupe'),
(404, '2', '', 'grilles', 'delierCompetence'),
(405, '2', '', 'grilles', 'delierGroupe'),
(406, '2', '', 'controles', 'perso'),
(407, '2', '', 'controles', 'controle'),
(408, '2', '', 'controles', 'ajaxEvaluer'),
(409, '2', '', 'controles', 'changerNomControle'),
(410, '2', '', 'controles', 'ajouterResultatControle'),
(411, '2', '', 'controles', 'effacer'),
(412, '2', '', 'controles', 'modifier'),
(413, '2', '', 'controles', 'addModif'),
(414, '2', '', 'utilisateurs', 'perso'),
(415, '2', '', 'utilisateurs', 'modifMdp'),
(416, '2', '', 'login', 'logout'),
(417, '2', '', 'pdf', 'controle'),
(418, '2', '', 'pdf', 'appreciations'),
(419, '2', '', 'pdf', 'editerBulletin'),
(420, '2', '', 'pdf', 'grille'),
(421, '2', '', 'odt', 'grille'),
(422, '2', '', 'bilans', 'index'),
(423, '2', '', 'bilans', 'ajouter'),
(424, '2', '', 'bilans', 'effacer'),
(425, '2', '', 'bilans', 'modifier'),
(426, '2', '', 'bilans', 'perso'),
(427, '2', '', 'bilans', 'eleveEtCompetence'),
(428, '2', '', 'bilans', 'eleveEtSocle'),
(429, '2', '', 'bilans', 'bilanRapideSocle'),
(430, '2', '', 'bilans', 'addBilanCptceHorsSocle'),
(431, '2', '', 'bilans', 'tousBilans'),
(432, '2', '', 'bilans', 'competence'),
(433, '2', '', 'bulletins', 'index'),
(434, '2', '', 'bulletins', 'ajouter'),
(435, '2', '', 'bulletins', 'effacer'),
(436, '2', '', 'bulletins', 'modifier'),
(437, '2', '', 'bulletins', 'perso'),
(438, '2', '', 'bulletins', 'persoBulletin'),
(439, '2', '', 'bulletins', 'ajouterAppreciation'),
(440, '2', '', 'bulletins', 'ouvrirBulletin'),
(441, '2', '', 'bulletins', 'fermerBulletin'),
(442, '2', '', 'bulletins', 'transPP'),
(443, '2', '', 'bulletins', 'transAjouter'),
(444, '2', '', 'bulletins', 'voirPP'),
(445, '2', '', 'discussions', 'index'),
(446, '2', '', 'discussions', 'ajouter'),
(447, '2', '', 'discussions', 'effacer'),
(448, '2', '', 'discussions', 'discussion'),
(449, '2', '', 'discussions', 'ajaxEnvoyer'),
(450, '2', '', 'discussions', 'ajaxRecevoir'),
(451, '2', '', 'exercices', 'index'),
(452, '2', '', 'exercices', 'perso'),
(453, '2', '', 'exercices', 'ajouter'),
(454, '2', '', 'exercices', 'effacer'),
(455, '2', '', 'exercices', 'modifier'),
(456, '2', '', 'exercices', 'lierDocs'),
(457, '2', '', 'exercices', 'supprimerDoc'),
(458, '2', '', 'exercices', 'supprimerQuestion'),
(459, '2', '', 'remediations', 'suivi'),
(460, '2', '', 'remediations', 'creer'),
(461, '2', '', 'remediations', 'lier'),
(462, '2', '', 'remediations', 'ajouter'),
(463, '2', '', 'remediations', 'effacer'),
(464, '2', '', 'remediations', 'modifier'),
(465, '2', '', 'remediations', 'fichier'),
(466, '2', '', 'remediations', 'eleves'),
(467, '2', '', 'remediations', 'ajaxEleves'),
(468, '2', '', 'remediations', 'ajaxBilanEleve'),
(469, '2', '', 'rest', 'serveurRest'),
(470, '1', '', 'accueil', 'index'),
(471, '1', '', 'groupes', 'index'),
(472, '1', '', 'groupes', 'ajouter'),
(473, '1', '', 'groupes', 'effacer'),
(474, '1', '', 'groupes', 'modifier'),
(475, '1', '', 'groupes', 'supprimerEleve'),
(476, '1', '', 'groupes', 'ajouterEleve'),
(477, '1', '', 'competences', 'index'),
(478, '1', '', 'competences', 'ajouter'),
(479, '1', '', 'competences', 'effacer'),
(480, '1', '', 'competences', 'commun'),
(481, '1', '', 'competences', 'perso'),
(482, '1', '', 'competences', 'domaines'),
(483, '1', '', 'competences', 'effacerDomaine'),
(484, '1', '', 'competences', 'ajaxPreferences'),
(485, '1', '', 'competences', 'modifier'),
(486, '1', '', 'competences', 'ajouterpeda'),
(487, '1', '', 'competences', 'effacercommun'),
(488, '1', '', 'competences', 'ajoutersocle'),
(489, '1', '', 'competences', 'ajouterNiveau2'),
(490, '1', '', 'grilles', 'index'),
(491, '1', '', 'grilles', 'ajouter'),
(492, '1', '', 'grilles', 'modifierNom'),
(493, '1', '', 'grilles', 'effacer'),
(494, '1', '', 'grilles', 'eleves'),
(495, '1', '', 'grilles', 'lierAvecCompetences'),
(496, '1', '', 'grilles', 'lierAvecGroupe'),
(497, '1', '', 'grilles', 'delierCompetence'),
(498, '1', '', 'grilles', 'delierGroupe'),
(499, '1', '', 'controles', 'perso'),
(500, '1', '', 'controles', 'controle'),
(501, '1', '', 'controles', 'ajaxEvaluer'),
(502, '1', '', 'controles', 'changerNomControle'),
(503, '1', '', 'controles', 'ajouterResultatControle'),
(504, '1', '', 'controles', 'effacer'),
(505, '1', '', 'controles', 'modifier'),
(506, '1', '', 'controles', 'addModif'),
(507, '1', '', 'utilisateurs', 'perso'),
(508, '1', '', 'utilisateurs', 'modifMdp'),
(509, '1', '', 'utilisateurs', 'index'),
(510, '1', '', 'utilisateurs', 'ajouter'),
(511, '1', '', 'utilisateurs', 'effacer'),
(512, '1', '', 'utilisateurs', 'modifier'),
(513, '1', '', 'utilisateurs', 'modifUtilisateur'),
(514, '1', '', 'utilisateurs', 'addModifUtilisateur'),
(515, '1', '', 'utilisateurs', 'ajouterUtilisateurs'),
(516, '1', '', 'utilisateurs', 'profprincipaux'),
(517, '1', '', 'login', 'logout'),
(518, '1', '', 'pdf', 'controle'),
(519, '1', '', 'pdf', 'editerBulletin'),
(520, '1', '', 'pdf', 'tousBulletins'),
(521, '1', '', 'pdf', 'grille'),
(522, '1', '', 'odt', 'grille'),
(523, '1', '', 'bilans', 'index'),
(524, '1', '', 'bilans', 'ajouter'),
(525, '1', '', 'bilans', 'effacer'),
(526, '1', '', 'bilans', 'modifier'),
(527, '1', '', 'bilans', 'perso'),
(528, '1', '', 'bilans', 'eleveEtCompetence'),
(529, '1', '', 'bilans', 'eleveEtSocle'),
(530, '1', '', 'bilans', 'bilanRapideSocle'),
(531, '1', '', 'bilans', 'addBilanCptceHorsSocle'),
(532, '1', '', 'bilans', 'tousBilans'),
(533, '1', '', 'bulletins', 'index'),
(534, '1', '', 'bulletins', 'ajouter'),
(535, '1', '', 'bulletins', 'effacer'),
(536, '1', '', 'bulletins', 'modifier'),
(537, '1', '', 'bulletins', 'perso'),
(538, '1', '', 'bulletins', 'persoBulletin'),
(539, '1', '', 'bulletins', 'ajouterAppreciation'),
(540, '1', '', 'bulletins', 'ouvrirBulletin'),
(541, '1', '', 'bulletins', 'fermerBulletin'),
(542, '1', '', 'bulletins', 'infos'),
(543, '1', '', 'bulletins', 'cptcesTransversalesBulletin'),
(544, '1', '', 'bulletins', 'addCptceTrans'),
(545, '1', '', 'bulletins', 'delCptceTrans'),
(546, '1', '', 'bulletins', 'visionner'),
(547, '1', '', 'discussions', 'index'),
(548, '1', '', 'discussions', 'ajouter'),
(549, '1', '', 'discussions', 'effacer'),
(550, '1', '', 'discussions', 'discussion'),
(551, '1', '', 'discussions', 'ajaxEnvoyer'),
(552, '1', '', 'discussions', 'ajaxRecevoir'),
(553, '1', '', 'settings', 'index'),
(554, '1', '', 'settings', 'ajouter'),
(555, '1', '', 'settings', 'effacer'),
(556, '1', '', 'settings', 'validation'),
(557, '1', '', 'settings', 'periodes'),
(558, '1', '', 'settings', 'ajouterPeriode'),
(559, '1', '', 'settings', 'effacerPeriode'),
(560, '1', '', 'preferences', 'index'),
(561, '1', '', 'preferences', 'ajouterPref'),
(562, '1', '', 'classes', 'index'),
(563, '1', '', 'classes', 'ajouter'),
(564, '1', '', 'classes', 'effacer'),
(565, '1', '', 'matieres', 'index'),
(566, '3', '', 'accueil', 'index'),
(567, '3', '', 'accueil', 'indexEleve'),
(568, '3', '', 'utilisateurs', 'eleve'),
(569, '3', '', 'utilisateurs', 'modifMdp'),
(570, '3', '', 'controles', 'eleve'),
(571, '3', '', 'remediations', 'index'),
(572, '3', '', 'remediations', 'eleve'),
(573, '3', '', 'bilans', 'eleve'),
(574, '3', '', 'rest', 'serveurRest'),
(575, '6', '', 'accueil', 'index'),
(576, '6', '', 'bilans', 'voirEtab'),
(577, '6', '', 'bulletins', 'index'),
(578, '6', '', 'bulletins', 'infos'),
(579, '6', '', 'bulletins', 'fermerBulletin'),
(580, '6', '', 'bulletins', 'ouvrirBulletin'),
(581, '6', '', 'bulletins', 'cptcesTransversalesBulletin'),
(582, '6', '', 'bulletins', 'ajouter'),
(583, '6', '', 'bulletins', 'modifier'),
(584, '6', '', 'bulletins', 'effacer'),
(585, '6', '', 'bulletins', 'visionner'),
(586, '6', '', 'pdf', 'editerBulletin'),
(587, '6', '', 'pdf', 'tousBulletins'),
(588, '6', '', 'discussions', 'index'),
(589, '6', '', 'discussions', 'ajouter'),
(590, '6', '', 'discussions', 'effacer'),
(591, '6', '', 'discussions', 'discussion'),
(592, '6', '', 'discussions', 'ajaxEnvoyer'),
(593, '6', '', 'discussions', 'ajaxRecevoir'),
(594, '6', '', 'login', 'logout'),
(595, '6', '', 'utilisateurs', 'perso'),
(596, '6', '', 'utilisateurs', 'modifMdp'),
(597, '6', '', 'livrets', 'index'),
(598, '6', '', 'livrets', 'ajouter'),
(599, '6', '', 'livrets', 'effacer'),
(600, '6', '', 'livrets', 'modifier');

-- --------------------------------------------------------

--
-- Structure de la table `d_discussions`
--

CREATE TABLE IF NOT EXISTS `d_discussions` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table d_discussions',
  `nom` varchar(255) NOT NULL default '' COMMENT 'Nom de la discussion',
  `debut` int(11) NOT NULL COMMENT 'Date de debut de la discussion',
  `fin` int(11) NOT NULL COMMENT 'Date de fin de la discussion',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation de la discussion',
  `ordredujour` longtext NOT NULL COMMENT 'Ordre du jour',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des discussion' AUTO_INCREMENT=2 ;

--
-- Contenu de la table `d_discussions`
--

INSERT INTO `d_discussions` (`id`, `nom`, `debut`, `fin`, `created_on`, `ordredujour`) VALUES
(1, 'reunion 1', 945003600, 945007200, 1260487569, 'je ne sais pas');

-- --------------------------------------------------------

--
-- Structure de la table `d_discussion_membre`
--

CREATE TABLE IF NOT EXISTS `d_discussion_membre` (
  `discussion_id` int(11) NOT NULL COMMENT 'cle etrangere de la table d_discussions',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  `connecte` char(1) NOT NULL default 'N' COMMENT 'O si l''utilisateur est connecte N sinon',
  `connecte_date` int(11) NOT NULL COMMENT 'Date de l''acceptation de la connexion',
  `refuse` char(1) NOT NULL default 'N' COMMENT 'Un membre peut refuser la connexion',
  PRIMARY KEY  (`discussion_id`,`utilisateur_id`),
  KEY `d_discussion_membre_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des membres de la discussion';

--
-- Contenu de la table `d_discussion_membre`
--

INSERT INTO `d_discussion_membre` (`discussion_id`, `utilisateur_id`, `connecte`, `connecte_date`, `refuse`) VALUES
(1, 2, 'N', 0, 'N'),
(1, 3, 'N', 0, 'N');

-- --------------------------------------------------------

--
-- Structure de la table `d_documents`
--

CREATE TABLE IF NOT EXISTS `d_documents` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table d_documents',
  `discussion_id` int(11) NOT NULL COMMENT 'cle etrangere de la table d_discussions',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  `nom` varchar(255) NOT NULL default '' COMMENT 'nom du document',
  `chemin` varchar(255) NOT NULL default '' COMMENT 'chemin du document',
  PRIMARY KEY  (`id`),
  KEY `d_documents_FI_1` (`discussion_id`),
  KEY `d_documents_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des documents echanges pendant la discussion' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `d_documents`
--


-- --------------------------------------------------------

--
-- Structure de la table `d_echanges`
--

CREATE TABLE IF NOT EXISTS `d_echanges` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table d_echanges',
  `discussion_id` int(11) NOT NULL COMMENT 'cle etrangere de la table d_discussions',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  `phrase` varchar(255) NOT NULL default '' COMMENT 'Phrase ecrite par les echangeurs',
  PRIMARY KEY  (`id`),
  KEY `d_echanges_FI_1` (`discussion_id`),
  KEY `d_echanges_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des echanges' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `d_echanges`
--


-- --------------------------------------------------------

--
-- Structure de la table `etablissements`
--

CREATE TABLE IF NOT EXISTS `etablissements` (
  `rne` varchar(10) NOT NULL COMMENT 'cle primaire de la table etablissements',
  `nom` varchar(255) NOT NULL default 'user' COMMENT 'Nom de l''etablissement',
  `adresse` varchar(255) NOT NULL default 'user' COMMENT 'Nom de l''etablissement',
  `codepostal` varchar(255) NOT NULL default 'user' COMMENT 'Nom de l''etablissement',
  `commune` varchar(255) NOT NULL default 'user' COMMENT 'Nom de l''etablissement',
  PRIMARY KEY  (`rne`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des etablissements';

--
-- Contenu de la table `etablissements`
--

INSERT INTO `etablissements` (`rne`, `nom`, `adresse`, `codepostal`, `commune`) VALUES
('UN_RNE', 'Etablissement de test', 'rue machin', '33000', 'La bas si j''y suis');

-- --------------------------------------------------------

--
-- Structure de la table `exercices`
--

CREATE TABLE IF NOT EXISTS `exercices` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table exercices',
  `titre` varchar(255) NOT NULL COMMENT 'Titre de l''exercice',
  `consigne` text NOT NULL COMMENT 'consignes de travail',
  `nbre_docs` char(2) NOT NULL COMMENT 'Nombre de documents',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere du professeur',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  PRIMARY KEY  (`id`),
  KEY `exercices_FI_1` (`professeur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des exercices' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `exercices`
--


-- --------------------------------------------------------

--
-- Structure de la table `exe_docs`
--

CREATE TABLE IF NOT EXISTS `exe_docs` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table exercice_docs',
  `exercice_id` int(11) NOT NULL COMMENT 'cle etrangere de l''exercice',
  `nom` varchar(255) NOT NULL default 'inc.' COMMENT 'Nom du document',
  `affichage` char(2) NOT NULL COMMENT 'Ordre d''affichage',
  `legende` varchar(255) NOT NULL COMMENT 'legende',
  `nbre_questions` int(2) NOT NULL COMMENT 'Nombre de questions',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  PRIMARY KEY  (`id`),
  KEY `exe_docs_FI_1` (`exercice_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des documents des exercices' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `exe_docs`
--


-- --------------------------------------------------------

--
-- Structure de la table `exe_doc_questions`
--

CREATE TABLE IF NOT EXISTS `exe_doc_questions` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table exe_doc_questions',
  `exe_doc_id` int(11) NOT NULL COMMENT 'cle etrangere du document',
  `question` varchar(255) NOT NULL COMMENT 'Intitule de la question',
  `reponse` longblob NOT NULL COMMENT 'reponse a la question',
  `voir_reponse` char(1) NOT NULL COMMENT 'Voir reponse ?',
  `aide` varchar(255) NOT NULL COMMENT 'Contenu de l''aide',
  `affiche_aide` char(1) NOT NULL COMMENT 'Afficher aide ?',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  PRIMARY KEY  (`id`),
  KEY `exe_doc_questions_FI_1` (`exe_doc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des questions pour chaque document' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `exe_doc_questions`
--


-- --------------------------------------------------------

--
-- Structure de la table `exe_reponses`
--

CREATE TABLE IF NOT EXISTS `exe_reponses` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table exe_doc_questions',
  `eleve_id` int(11) NOT NULL COMMENT 'cle etrangere de l''eleve',
  `exercice_id` int(11) NOT NULL COMMENT 'cle etrangere de l''exercice',
  `exe_doc_question_id` int(11) NOT NULL COMMENT 'cle etrangere de la question',
  `reponse` longblob NOT NULL COMMENT 'reponse a la question',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation',
  `updated_on` int(11) NOT NULL COMMENT 'Date de modification',
  PRIMARY KEY  (`id`),
  KEY `exe_reponses_FI_1` (`eleve_id`),
  KEY `exe_reponses_FI_2` (`exercice_id`),
  KEY `exe_reponses_FI_3` (`exe_doc_question_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des reponses des eleves' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `exe_reponses`
--


-- --------------------------------------------------------

--
-- Structure de la table `grilles`
--

CREATE TABLE IF NOT EXISTS `grilles` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table grilles',
  `nom` varchar(255) NOT NULL COMMENT 'Nom de la grille',
  `type` char(5) NOT NULL COMMENT 'Type : peda perso',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `matiere_id` int(11) NOT NULL COMMENT 'Matiere de la grille',
  `created_on` int(11) NOT NULL default '0' COMMENT 'Date de creation, timestamp UNIX',
  `utilisateur_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere de l''utilisateur si type = perso',
  PRIMARY KEY  (`id`),
  KEY `grilles_FI_1` (`matiere_id`),
  KEY `grilles_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des grilles de competences' AUTO_INCREMENT=3 ;

--
-- Contenu de la table `grilles`
--

INSERT INTO `grilles` (`id`, `nom`, `type`, `rne`, `matiere_id`, `created_on`, `utilisateur_id`) VALUES
(1, 'Grille 1', 'perso', 'UN_RNE', 1, 1259676731, 2);

-- --------------------------------------------------------

--
-- Structure de la table `grille_competences`
--

CREATE TABLE IF NOT EXISTS `grille_competences` (
  `grille_id` int(11) NOT NULL COMMENT 'cle etrangere de la grille',
  `competence_id` int(11) NOT NULL COMMENT 'cle etrangere de la competence',
  PRIMARY KEY  (`grille_id`,`competence_id`),
  KEY `grille_competences_FI_2` (`competence_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des competences rattachees a une grille';

--
-- Contenu de la table `grille_competences`
--

INSERT INTO `grille_competences` (`grille_id`, `competence_id`) VALUES
(1, 141),
(1, 144),
(1, 145);

-- --------------------------------------------------------

--
-- Structure de la table `grille_groupes`
--

CREATE TABLE IF NOT EXISTS `grille_groupes` (
  `grille_id` int(11) NOT NULL COMMENT 'cle etrangere de la grille',
  `groupe_id` int(11) NOT NULL COMMENT 'cle etrangere du groupe',
  PRIMARY KEY  (`grille_id`,`groupe_id`),
  KEY `grille_groupes_FI_2` (`groupe_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Groupe (eleves) rattache a une grille';

--
-- Contenu de la table `grille_groupes`
--

INSERT INTO `grille_groupes` (`grille_id`, `groupe_id`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Structure de la table `grille_utilisateurs`
--

CREATE TABLE IF NOT EXISTS `grille_utilisateurs` (
  `grille_id` int(11) NOT NULL COMMENT 'cle etrangere de la grille',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  PRIMARY KEY  (`grille_id`,`utilisateur_id`),
  KEY `grille_utilisateurs_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des grilles utilisees par un utilisateur';

--
-- Contenu de la table `grille_utilisateurs`
--


-- --------------------------------------------------------

--
-- Structure de la table `groupes`
--

CREATE TABLE IF NOT EXISTS `groupes` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table groupes',
  `nomcourt` varchar(255) NOT NULL COMMENT 'Nom court du groupe',
  `nomlong` varchar(255) NOT NULL COMMENT 'Nom long du groupe',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des groupes' AUTO_INCREMENT=3 ;

--
-- Contenu de la table `groupes`
--

INSERT INTO `groupes` (`id`, `nomcourt`, `nomlong`, `rne`) VALUES
(1, 'GR 1', 'GROUPE 1 - on teste', 'UN_RNE');

-- --------------------------------------------------------

--
-- Structure de la table `groupe_eleves`
--

CREATE TABLE IF NOT EXISTS `groupe_eleves` (
  `groupe_id` int(11) NOT NULL COMMENT 'cle etrangere du groupe',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  PRIMARY KEY  (`groupe_id`,`utilisateur_id`),
  KEY `groupe_eleves_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des eleves de chaque groupe';

--
-- Contenu de la table `groupe_eleves`
--

INSERT INTO `groupe_eleves` (`groupe_id`, `utilisateur_id`) VALUES
(1, 4),
(1, 5);

-- --------------------------------------------------------

--
-- Structure de la table `groupe_possesseurs`
--

CREATE TABLE IF NOT EXISTS `groupe_possesseurs` (
  `groupe_id` int(11) NOT NULL COMMENT 'cle etrangere du groupe',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  PRIMARY KEY  (`groupe_id`,`utilisateur_id`),
  KEY `groupe_possesseurs_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des possesseurs de chaque groupe';

--
-- Contenu de la table `groupe_possesseurs`
--

INSERT INTO `groupe_possesseurs` (`groupe_id`, `utilisateur_id`) VALUES
(1, 2);

-- --------------------------------------------------------

--
-- Structure de la table `logs`
--

CREATE TABLE IF NOT EXISTS `logs` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table logs',
  `type` varchar(30) NOT NULL default 'session' COMMENT 'Type de log',
  `degre` int(3) NOT NULL default '0' COMMENT 'Degre de gravite',
  `texte` varchar(255) NOT NULL COMMENT 'Description du log',
  `debut` int(12) NOT NULL COMMENT 'timestamp UNIX du debut',
  `fin` int(12) NOT NULL COMMENT 'timestamp UNIX de la fin',
  `ip` varchar(30) NOT NULL default '0' COMMENT 'Adresse IP de l''utilisateur',
  `navigateur` varchar(255) NOT NULL default 'inconnu' COMMENT 'Type de navigateur',
  `marqueur` varchar(30) NOT NULL default '0' COMMENT 'Marqueur le temps de la session',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur logue',
  PRIMARY KEY  (`id`),
  KEY `logs_FI_1` (`utilisateur_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Logs de connexion' AUTO_INCREMENT=32 ;

--
-- Contenu de la table `logs`
--

INSERT INTO `logs` (`id`, `type`, `degre`, `texte`, `debut`, `fin`, `ip`, `navigateur`, `marqueur`, `utilisateur_id`) VALUES
(1, 'login', 0, 'Session', 1259675952, 1259676584, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 1),
(2, 'login', 0, 'Session', 1259676589, 1259676596, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 1),
(3, 'login', 0, 'Session', 1259676601, 1259676648, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 2),
(4, 'login', 0, 'Session', 1259676658, 1259676695, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 1),
(5, 'login', 0, 'Session', 1259676700, 1259676850, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 2),
(6, 'login', 0, 'Session', 1259676859, 1259677001, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 1),
(7, 'login', 0, 'Session', 1259677010, 1259677121, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9.0.15) Gecko/20080528 Epiphany/2.22 Firefox/3.0', '0', 2),
(8, 'login', 0, 'Session', 1259677445, 1259677457, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.15) Gecko/2009102814 Ubuntu/8.04 (hardy) Firefox/3.0.15', '0', 4),
(9, 'droits', 2, 'Pas le droit suffisant::M::Cbilans::Aeleve', 1259677457, 0, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.15) Gecko/2009102814 Ubuntu/8.04 (hardy) Firefox/3.0.15', '0', 4),
(10, 'login', 0, 'Session', 1259677473, 1259678178, '93.24.86.100', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.0.15) Gecko/2009102814 Ubuntu/8.04 (hardy) Firefox/3.0.15', '0', 4),
(11, 'login', 0, 'Session', 1260069455, 0, '82.225.28.21', 'Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14) Gecko/2009091010 Iceweasel/3.0.14 (Debian-3.0.14-1)', '0', 2),
(12, 'login', 0, 'Session', 1260487294, 1260488142, '81.56.144.191', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 2),
(13, 'login', 0, 'Session', 1260488152, 1260488194, '81.56.144.191', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 4),
(14, 'login', 0, 'Session', 1260488202, 1260488339, '81.56.144.191', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 1),
(15, 'login', 0, 'Session', 1260488562, 0, '92.156.106.157', 'Mozilla/5.0 (Windows; U; Windows NT 6.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 2),
(16, 'login', 0, 'Session', 1260515325, 1260515519, '195.202.0.9', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.9) Gecko/2009040821 Firefox/3.0.9 (.NET CLR 3.5.30729)', '0', 2),
(17, 'login', 0, 'Session', 1260519850, 1260519871, '92.156.201.137', 'Mozilla/5.0 (Windows; U; Windows NT 6.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 1),
(18, 'login', 0, 'Session', 1260549219, 0, '88.184.32.10', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.15) Gecko/2009101601 Firefox/3.0.15 (.NET CLR 3.5.30729)', '0', 2),
(19, 'login', 0, 'Session', 1260561121, 0, '83.195.10.120', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2 (.NET CLR 3.5.30729)', '0', 2),
(20, 'login', 0, 'Session', 1260565308, 1260565315, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 2),
(21, 'login', 0, 'Session', 1260568245, 1260568583, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 2),
(22, 'login', 0, 'Session', 1260611638, 1260614726, '90.17.213.3', 'Mozilla/5.0 (Windows; U; Windows NT 6.0; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 2),
(23, 'login', 0, 'Session', 1260616035, 0, '90.17.213.3', 'Mozilla/5.0 (Windows; U; Windows NT 6.0; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)', '0', 2),
(24, 'login', 0, 'Session', 1260782597, 1260782700, '195.202.0.141', 'Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.7pre) Gecko/20091210 Ubuntu/8.04 (hardy) Shiretoko/3.5.7pre', '0', 2),
(25, 'logout', 0, 'Utilisateur d&eacute;connect&eacute;', 1260782704, 0, '195.202.0.141', 'Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.7pre) Gecko/20091210 Ubuntu/8.04 (hardy) Shiretoko/3.5.7pre', '0', 0),
(26, 'login', 0, 'Session', 1260879492, 0, '194.2.48.241', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5', '0', 2),
(27, 'login', 0, 'Session', 1260889142, 1260889159, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 2),
(28, 'droits', 2, 'Pas le droit suffisant::M::Cbulletins::AvoirPP', 1260889159, 0, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 2),
(29, 'login', 0, 'Session', 1260889226, 1260889314, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 2),
(30, 'login', 0, 'Session', 1260889320, 1260889351, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 4),
(31, 'login', 0, 'Session', 1260889359, 1260889396, '86.75.93.125', 'Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.5) Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.5.5', '0', 1);

-- --------------------------------------------------------

--
-- Structure de la table `matieres`
--

CREATE TABLE IF NOT EXISTS `matieres` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table matieres',
  `nomcourt` varchar(255) NOT NULL COMMENT 'Nom court de la matiere',
  `nomlong` varchar(255) NOT NULL COMMENT 'Nom long de la matiere',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des matieres' AUTO_INCREMENT=3 ;

--
-- Contenu de la table `matieres`
--

INSERT INTO `matieres` (`id`, `nomcourt`, `nomlong`) VALUES
(1, 'HG', 'Histoire - géographie'),
(2, 'MATHS', 'Mathématiques');

-- --------------------------------------------------------

--
-- Structure de la table `periodes`
--

CREATE TABLE IF NOT EXISTS `periodes` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table periodes',
  `nom` varchar(255) NOT NULL COMMENT 'Nom de la periode',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `debut` int(11) NOT NULL COMMENT 'debut de la periode',
  `fin` int(11) NOT NULL COMMENT 'fin de la periode',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des periode de l''annee' AUTO_INCREMENT=4 ;

--
-- Contenu de la table `periodes`
--

INSERT INTO `periodes` (`id`, `nom`, `rne`, `debut`, `fin`) VALUES
(1, 'Periode 1', 'UN_RNE', 1251763200, 1260917940),
(2, 'Periode 2', 'UN_RNE', 1260925200, 1269986340),
(3, 'Periode 3', 'UN_RNE', 1270080000, 1277935140);

-- --------------------------------------------------------

--
-- Structure de la table `pp_classes`
--

CREATE TABLE IF NOT EXISTS `pp_classes` (
  `classe_id` int(11) NOT NULL COMMENT 'cle etrangere de la classe',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere du professeur',
  PRIMARY KEY  (`classe_id`,`professeur_id`),
  KEY `pp_classes_FI_2` (`professeur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des classes d''un professeur';

--
-- Contenu de la table `pp_classes`
--

INSERT INTO `pp_classes` (`classe_id`, `professeur_id`) VALUES
(1, 2);

-- --------------------------------------------------------

--
-- Structure de la table `professeur_classes`
--

CREATE TABLE IF NOT EXISTS `professeur_classes` (
  `classe_id` int(11) NOT NULL COMMENT 'cle etrangere de la classe',
  `professeur_id` int(11) NOT NULL COMMENT 'cle etrangere du professeur',
  PRIMARY KEY  (`classe_id`,`professeur_id`),
  KEY `professeur_classes_FI_2` (`professeur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des classes d''un professeur';

--
-- Contenu de la table `professeur_classes`
--

INSERT INTO `professeur_classes` (`classe_id`, `professeur_id`) VALUES
(1, 2),
(1, 3);

-- --------------------------------------------------------

--
-- Structure de la table `questions`
--

CREATE TABLE IF NOT EXISTS `questions` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table questions',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  `contenu` longtext NOT NULL COMMENT 'Contenu de la question',
  `created_on` int(11) NOT NULL default '0' COMMENT 'Date de creation, timestamp UNIX',
  `updated_on` int(11) NOT NULL default '0' COMMENT 'Date de modification, timestamp UNIX',
  PRIMARY KEY  (`id`),
  KEY `questions_FI_1` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des questions posees' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `questions`
--


-- --------------------------------------------------------

--
-- Structure de la table `reponses`
--

CREATE TABLE IF NOT EXISTS `reponses` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table questions',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  `question_id` int(11) NOT NULL COMMENT 'cle etrangere de la question',
  `contenu` longtext NOT NULL COMMENT 'Contenu de la question',
  `created_on` int(11) NOT NULL default '0' COMMENT 'Date de creation, timestamp UNIX',
  `updated_on` int(11) NOT NULL default '0' COMMENT 'Date de modification, timestamp UNIX',
  PRIMARY KEY  (`id`),
  KEY `reponses_FI_1` (`utilisateur_id`),
  KEY `reponses_FI_2` (`question_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des reponses aux questions posees' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `reponses`
--


-- --------------------------------------------------------

--
-- Structure de la table `ressources`
--

CREATE TABLE IF NOT EXISTS `ressources` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table ressources',
  `designation` varchar(255) NOT NULL COMMENT 'Designation de la ressource',
  `adresse` varchar(255) NOT NULL COMMENT 'adresse de la ressource',
  `type` char(4) NOT NULL default '' COMMENT 'Type de document : url/doc/html',
  `matiere_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere de la matiere, nulle si transdisciplinaire',
  `rne` char(11) NOT NULL COMMENT 'Rne de l''etablissement de cette ressource',
  `created_on` int(11) NOT NULL COMMENT 'Date de creation de la ressource',
  `utilisateur_id` int(11) NOT NULL COMMENT 'cle etrangere de l''utilisateur',
  PRIMARY KEY  (`id`),
  KEY `ressources_FI_1` (`matiere_id`),
  KEY `ressources_FI_2` (`utilisateur_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Liste des ressources disponibles' AUTO_INCREMENT=1 ;

--
-- Contenu de la table `ressources`
--


-- --------------------------------------------------------

--
-- Structure de la table `roles`
--

CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table roles',
  `nom` varchar(50) NOT NULL default 'user' COMMENT 'Nom du role',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des roles possibles pour les utilisateurs' AUTO_INCREMENT=6 ;

--
-- Contenu de la table `roles`
--

INSERT INTO `roles` (`id`, `nom`) VALUES
(1, 'admin'),
(2, 'Coordinateur'),
(3, 'eleve'),
(4, 'professeur'),
(5, 'superadmin');

-- --------------------------------------------------------

--
-- Structure de la table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table settings',
  `nom` varchar(100) NOT NULL COMMENT 'Nom du reglage',
  `valeur` varchar(100) NOT NULL COMMENT 'Valeur de ce reglage',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Reglages de l''interface' AUTO_INCREMENT=4 ;

--
-- Contenu de la table `settings`
--

INSERT INTO `settings` (`id`, `nom`, `valeur`, `rne`) VALUES
(2, 'titre', 'Gestion des Evaluations par Comp&eacute;tences', 'UN_RNE'),
(3, 'title', 'GEC - Les comp&eacute;tences', '');

-- --------------------------------------------------------

--
-- Structure de la table `utilisateurs`
--

CREATE TABLE IF NOT EXISTS `utilisateurs` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table utilisateurs',
  `login` varchar(50) NOT NULL COMMENT 'Login de l''utilisateur',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `nom` varchar(50) NOT NULL COMMENT 'Nom de l''utilisateur',
  `prenom` varchar(50) NOT NULL COMMENT 'Prenom de l''utilisateur',
  `civilite` varchar(5) NOT NULL COMMENT 'Civilite',
  `naissance` int(12) NOT NULL COMMENT 'Date de naissance en timestamp UNIX',
  `password` varchar(100) NOT NULL COMMENT 'Mot de passe',
  `email` varchar(100) NOT NULL COMMENT 'Email de l''utilisateur',
  `role_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere du role de l''utilisateur',
  `matiere_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere de la matiere du professeur, nulle si pas un professeur',
  `classe_id` int(11) NOT NULL default '0' COMMENT 'cle etrangere de la classe, nulle si pas un eleve sauf PP',
  `sso` char(1) NOT NULL default 'n' COMMENT 'Si acces possible en sso',
  PRIMARY KEY  (`id`),
  KEY `utilisateurs_FI_1` (`rne`),
  KEY `utilisateurs_FI_2` (`role_id`),
  KEY `utilisateurs_FI_3` (`matiere_id`),
  KEY `utilisateurs_FI_4` (`classe_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='utilisateurs' AUTO_INCREMENT=6 ;

--
-- Contenu de la table `utilisateurs`
--

INSERT INTO `utilisateurs` (`id`, `login`, `rne`, `nom`, `prenom`, `civilite`, `naissance`, `password`, `email`, `role_id`, `matiere_id`, `classe_id`, `sso`) VALUES
(1, 'admin', 'UN_RNE', 'Administrateur', 'GEC', 'M.', 123456789, 'aa36dc6e81e2ac7ad03e12fedcb6a2c0', '', 1, 0, 0, 'n'),
(2, 'prof', 'UN_RNE', 'Professeur', 'Jean', 'M', 126234000, 'aa36dc6e81e2ac7ad03e12fedcb6a2c0', '', 2, 1, 0, 'n'),
(3, 'prof2', 'UN_RNE', 'Professeur 2', 'test', 'M', 126234000, 'aa36dc6e81e2ac7ad03e12fedcb6a2c0', '', 4, 2, 0, 'n'),
(4, 'eleve', 'UN_RNE', 'DUPOND', 'Alfred', 'M', 883620000, 'aa36dc6e81e2ac7ad03e12fedcb6a2c0', '', 3, 0, 1, 'n'),
(5, 'eleve2', 'UN_RNE', 'DUPONT', 'Lisa', 'M', 852084000, 'aa36dc6e81e2ac7ad03e12fedcb6a2c0', '', 3, 0, 1, 'n');

-- --------------------------------------------------------

--
-- Structure de la table `validations`
--

CREATE TABLE IF NOT EXISTS `validations` (
  `id` int(11) NOT NULL auto_increment COMMENT 'cle primaire de la table validations',
  `rne` varchar(10) NOT NULL COMMENT 'Etablissement de l''utilisateur',
  `lettre` char(2) NOT NULL COMMENT 'Lettre de la validation',
  `texte` varchar(100) NOT NULL COMMENT 'texte de la validation',
  `couleur` char(11) NOT NULL COMMENT 'Couleur de la validation en hexadecimal',
  `niveau` int(2) NOT NULL COMMENT 'Niveau de la validation',
  PRIMARY KEY  (`id`,`lettre`),
  KEY `I_referenced_controle_resultats_FK_4_1` (`lettre`),
  KEY `I_referenced_bilans_FK_4_2` (`lettre`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Liste des niveaux de validation' AUTO_INCREMENT=6 ;

--
-- Contenu de la table `validations`
--

INSERT INTO `validations` (`id`, `rne`, `lettre`, `texte`, `couleur`, `niveau`) VALUES
(1, 'UN_RNE', 'm', 'Comp&eacute;tence maitris&eacute;e', '#009900', 4),
(2, 'UN_RNE', 'n', 'Comp&eacute;tence non maitris&eacute;e', '#FF0000', 1),
(3, 'UN_RNE', 'c', 'Comp&eacute;tence en cours d''acquisition', '#FFCC00', 2),
(4, 'UN_RNE', 'r', 'Comp&eacute;tence &agrave; renforcer', '#99FF33', 3),
(5, 'UN_RNE', 'a', 'Absence', '#00FFFF', 0);
